jQuery( function( $ ) {

	// Quantity buttons
	if ( ! String.prototype.getDecimals ) {
		String.prototype.getDecimals = function() {
			var num = this,
				match = ('' + num).match(/(?:\.(\d+))?(?:[eE]([+-]?\d+))?$/);
			if ( ! match ) {
				return 0;
			}
			return Math.max( 0, ( match[1] ? match[1].length : 0 ) - ( match[2] ? +match[2] : 0 ) );
		}
	}

	function craftit_refresh_quantity_increments(){
		$( 'div.quantity:not(.buttons_added), td.quantity:not(.buttons_added)' ).addClass( 'buttons_added' ).append( '<input type="button" value="+" class="plus" />' ).prepend( '<input type="button" value="-" class="minus" />' );
	}

	$( document ).on( 'updated_wc_div', function() {
		craftit_refresh_quantity_increments();
	} );

	$( document ).on( 'click', '.plus, .minus', function() {
		// Get values
		var $qty		= $( this ).closest( '.quantity' ).find( '.qty'),
			currentVal	= parseFloat( $qty.val() ),
			max			= parseFloat( $qty.attr( 'max' ) ),
			min			= parseFloat( $qty.attr( 'min' ) ),
			step		= $qty.attr( 'step' );

		// Format values
		if ( ! currentVal || currentVal === '' || currentVal === 'NaN' ) currentVal = 0;
		if ( max === '' || max === 'NaN' ) max = '';
		if ( min === '' || min === 'NaN' ) min = 0;
		if ( step === 'any' || step === '' || step === undefined || parseFloat( step ) === 'NaN' ) step = 1;

		// Change the value
		if ( $( this ).is( '.plus' ) ) {
			if ( max && ( currentVal >= max ) ) {
				$qty.val( max );
			} else {
				$qty.val( ( currentVal + parseFloat( step )).toFixed( step.getDecimals() ) );
			}
		} else {
			if ( min && ( currentVal <= min ) ) {
				$qty.val( min );
			} else if ( currentVal > 0 ) {
				$qty.val( ( currentVal - parseFloat( step )).toFixed( step.getDecimals() ) );
			}
		}

		// Trigger change event
		$qty.trigger( 'change' );
	});

	craftit_refresh_quantity_increments();
	
	//EasyZoom
	if( $('.easyzoom').length > 0 ) {

		// Instantiate EasyZoom instances
		var $easyzoom = $('.easyzoom').easyZoom();

		// Setup thumbnails example
		var api1 = $easyzoom.filter('.easyzoom--with-thumbnails').data('easyZoom');

		$('.thumbnails').on('click', 'a', function(e) {
			var $this = $(this);

			e.preventDefault();

			// Use EasyZoom's swap method
			api1.swap($this.data('standard'), $this.attr('href'), '');
		});
	}

	//Scroll to shipping fields
	if($('#ship-to-different-address-checkbox').length > 0) {
		
		$("#ship-to-different-address-checkbox").change(function() {
			if(this.checked) {
			    $('html,body').animate({
			        scrollTop: $(".woocommerce-shipping-fields").offset().top},
			        'slow');
			}
		});
	}

	//Added to cart
	jQuery(document.body).on("added_to_cart", function( data ) {
	    jQuery('.button.added').nextAll().remove();
	    jQuery('.button.added').after( ' <a href="' + wc_add_to_cart_params.cart_url + '" class="added_to_cart wc-forward" title="' +
							wc_add_to_cart_params.i18n_view_cart + '"><img src="'+__craftit__.css_path+'images/logout.svg" alt="" class="svg" /><span>' + wc_add_to_cart_params.i18n_view_cart + '</span></a>' );
	});
	

	//Ajax login
	$('#craftit_ajax_login').on('submit', function(e) {

		var data = {
			'action': 'craftit_login_user',
			'username': $('#username_ajax').val(),
			'password': $('#password_ajax').val(),
			'woocommerce_login_ajax':$('#woocommerce_login_ajax').val(),
			'rememberme':$('#rememberme_ajax').is(":checked")?1:''
			
		};
		
		var _this = this; 
		
		if(data.username =='' || data.password=='') {
			var  error = '<ul class="woocommerce-error">';
				if(data.username =='') error += '<li> <strong>'+__craftit__.error+' </strong>'+__craftit__.username_required+'</li>';
				if(data.password =='') error += '<li> <strong>'+__craftit__.error+' </strong>'+__craftit__.password_required+'</li>';
			
			error += '</ul>';
			jQuery('#cwoocommerce-custom-login .error').html(error);
		}else{
			$('#login_ajax').attr('disabled','disabled');
			// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
			jQuery.post(wc_add_to_cart_params.ajax_url, data, function(response) {
				if (response == 1) { 
					window.location.href = __craftit__.myaccount_page_url;
				} else {
					var error = '<ul class="woocommerce-error">';
						error += '<li>'+response+'</li>';
					 	error += '</ul>';
					jQuery('#cwoocommerce-custom-login .error').html(error);	
					$('#login_ajax ').removeAttr('disabled');
				}
					
			});
		}
		e.preventDefault();
	
	});
	
	//ajax register
	$('#craftit_ajax_register_form').on('submit', function(e) {
		var data = {
			'action': 'craftit_register_user',
			'username': $('#reg_username_ajax_register').val(),
			'email': $('#reg_email_ajax_register').val(),
			'password': $('#reg_password_ajax_register').val(),
			'register_nonce':$('#register_nonce').val(),
		};
		
		var _this = this; 
		
		if(data.email =='' || data.password=='') {
			var  error = '<ul class="woocommerce-error">';
				if(data.email =='') error += '<li> <strong>'+__craftit__.error+' </strong>'+__craftit__.email_required+'</li>';
				if(data.password =='') error += '<li> <strong>'+__craftit__.error+' </strong>'+__craftit__.password_required+'</li>';
			
			error += '</ul>';
			jQuery('#cwoocommerce-custom-login .error').html(error);
		} else {
			$('#register_ajax').attr('disabled','disabled');
			// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
			jQuery.post(wc_add_to_cart_params.ajax_url, data, function(response) {
			
				if(response == 1) { 
					window.location.href = __craftit__.myaccount_page_url;
				} else {
					var error = '<ul class="woocommerce-error">';
						error += '<li>'+response+'</li>';
					 	error += '</ul>';
					jQuery('#cwoocommerce-custom-login .error').html(error);	
					$('#register_ajax ').removeAttr('disabled');
				}
					
			});
		}
		e.preventDefault();
	
	});	
});