<?php
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array (
	'key' => 'group_546cd8557271d',
	'title' => __('Page Layout', 'craftit'),
	'fields' => array (
		array (
			'key' => 'field_546cd877c748e',
			'label' => __('Page layout', 'craftit'),
			'name' => 'gg_page_layout_select',
			'type' => 'select',
			'instructions' => __('Select the page layout', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'with_left_sidebar' => __('With left sidebar', 'craftit'),
				'with_right_sidebar' => __('With right sidebar', 'craftit'),
				'no_sidebar' => __('No sidebar', 'craftit'),
			),
			'default_value' => array (
				0 => 'no_sidebar',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_559664aeaedce',
			'label' => __('Select sidebar', 'craftit'),
			'name' => 'gg_select_sidebar',
			'type' => 'select',
			'instructions' => __('Select a sidebar. You can create unlimited sidebars in Appearance >> Theme options.', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_546cd877c748e',
						'operator' => '!=',
						'value' => 'no_sidebar',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'default-sidebar' => 'Default Sidebar',
			),
			'default_value' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
			'return_format' => 'value',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'product',
			),
		),
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'gallery_cpt',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_5596602ed43d1',
	'title' => __('Theme Options', 'craftit'),
	'fields' => array (
		array (
			'key' => 'field_55ae13b12020a',
			'label' => __('General', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55ae1562f4257',
			'label' => __('Site preloader', 'craftit'),
			'name' => 'gg_site_preloader',
			'type' => 'true_false',
			'instructions' => __('Enable/disable the site preloader', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_55ae15bef4259',
			'label' => __('Logo', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55ae1701a4117',
			'label' => __('Display image logo', 'craftit'),
			'name' => 'gg_display_image_logo',
			'type' => 'true_false',
			'instructions' => __('Display an image logo instead of the title.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_55ae16161c580',
			'label' => __('Logo image', 'craftit'),
			'name' => 'gg_logo_image',
			'type' => 'image',
			'instructions' => __('Upload the logo image', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_55ae1701a4117',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'full',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array (
			'key' => 'field_55ae169ea4115',
			'label' => __('Logo margins', 'craftit'),
			'name' => 'gg_logo_margins',
			'type' => 'text',
			'instructions' => __('Insert the logo margins, if necessary. Eg: 5px 0 0 2px', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_55ae1701a4117',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_55ae186d8b80a',
			'label' => __('Display wp admin image logo', 'craftit'),
			'name' => 'gg_display_admin_image_logo',
			'type' => 'true_false',
			'instructions' => __('Display a custom image/logo on the wp admin login area.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_55ae18d28b80b',
			'label' => __('WP admin logo image', 'craftit'),
			'name' => 'gg_admin_logo_image',
			'type' => 'image',
			'instructions' => __('Upload the logo image', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_55ae186d8b80a',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'full',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array (
			'key' => 'field_55ae1d5d599aa',
			'label' => __('Header', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_5608f53a557d7',
			'label' => __('Sticky menu', 'craftit'),
			'name' => 'gg_sticky_menu',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5805fde45b184',
			'label' => __('Header style', 'craftit'),
			'name' => 'gg_header_style',
			'type' => 'select',
			'instructions' => __('Select the header style', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'light' => __('Light', 'craftit'),
				'dark' => __('Dark', 'craftit'),
			),
			'default_value' => array (
				0 => 'light',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_5613a477e58af',
			'label' => __('Header minicart', 'craftit'),
			'name' => 'gg_header_minicart',
			'type' => 'true_false',
			'instructions' => __('Enable/disable header minicart', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5888bd0107c80',
			'label' => __('Header languages', 'craftit'),
			'name' => 'gg_header_languages',
			'type' => 'true_false',
			'instructions' => __('Enable/disable header languages', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5888bd1f07c81',
			'label' => __('Header search', 'craftit'),
			'name' => 'gg_header_search',
			'type' => 'true_false',
			'instructions' => __('Enable/disable header search', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5888bd2f07c82',
			'label' => __('Header Account', 'craftit'),
			'name' => 'gg_header_account',
			'type' => 'true_false',
			'instructions' => __('Enable/disable header account', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_55ae23940e41e',
			'label' => __('Footer', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55ae511944ef9',
			'label' => __('Footer widgets', 'craftit'),
			'name' => 'gg_footer_widgets',
			'type' => 'true_false',
			'instructions' => __('Enable/Disable footer widgets', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_55ae239f0e41f',
			'label' => __('Footer extras', 'craftit'),
			'name' => 'gg_footer_extras',
			'type' => 'true_false',
			'instructions' => __('Enable/Disable footer extras (copyright).', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_55ae23e30e420',
			'label' => __('Footer Copyright', 'craftit'),
			'name' => 'gg_footer_extras_copyright',
			'type' => 'textarea',
			'instructions' => __('Footer copyright', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_55ae239f0e41f',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '&copy; 2017 Craft.it',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 2,
			'new_lines' => 'br',
		),
		array (
			'key' => 'field_55ae24280e421',
			'label' => __('Comments', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55ae24370e422',
			'label' => __('Page comments', 'craftit'),
			'name' => 'gg_page_comments',
			'type' => 'true_false',
			'instructions' => __('Enable/Disable comments on all pages.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_55ae24590e423',
			'label' => __('Post comments', 'craftit'),
			'name' => 'gg_post_comments',
			'type' => 'true_false',
			'instructions' => __('Enable/Disable comments on all posts.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_55ae253671016',
			'label' => __('Social media', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55ae2ea138e91',
			'label' => __('Social icons', 'craftit'),
			'name' => 'gg_social_icons',
			'type' => 'repeater',
			'instructions' => __('These icons are displayed with the help of "Social Icons Widget"', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => '',
			'max' => '',
			'layout' => 'table',
			'button_label' => 'Add Row',
			'collapsed' => '',
			'sub_fields' => array (
				array (
					'key' => 'field_55ae2eb438e92',
					'label' => __('Name', 'craftit'),
					'name' => 'gg_social_icon_name',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_55ae2ed038e93',
					'label' => __('Icon', 'craftit'),
					'name' => 'gg_select_social_icon',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array (
						'fa fa-adn' => 'App.net',
						'fa fa-android' => 'Android',
						'fa fa-angellist' => 'AngelList',
						'fa fa-apple' => 'Apple',
						'fa fa-behance' => 'Behance',
						'fa fa-behance-square' => 'Behance Square',
						'fa fa-bitbucket' => 'Bitbucket',
						'fa fa-bitbucket-square' => 'Bitbucket Square',
						'fa fa-btc' => 'Bitcoin (BTC)',
						'fa fa-cc-amex' => 'American Express Credit Card',
						'fa fa-cc-discover' => 'Discover Credit Card',
						'fa fa-cc-mastercard' => 'MasterCard Credit Card',
						'fa fa-cc-paypal' => 'Paypal Credit Card',
						'fa fa-cc-stripe' => 'Stripe Credit Card',
						'fa fa-cc-visa' => 'Visa Credit Card',
						'fa fa-codepen' => 'Codepen',
						'fa fa-css3' => 'CSS 3 Logo',
						'fa fa-delicious' => 'Delicious Logo',
						'fa fa-deviantart' => 'deviantART',
						'fa fa-digg' => 'Digg Logo',
						'fa fa-dribbble' => 'Dribbble',
						'fa fa-dropbox' => 'Dropbox',
						'fa fa-drupal' => 'Drupal Logo',
						'fa fa-empire' => 'Galactic Empire',
						'fa fa-facebook' => 'Facebook',
						'fa fa-facebook-square' => 'Facebook Square',
						'fa fa-flickr' => 'Flickr',
						'fa fa-foursquare' => 'Foursquare',
						'fa fa-git' => 'Git',
						'fa fa-git-square' => 'Git Square',
						'fa fa-github' => 'GitHub',
						'fa fa-github-alt' => 'GitHub Alt',
						'fa fa-github-square' => 'GitHub Square',
						'fa fa-gittip' => 'Gittip',
						'fa fa-google' => 'Google Logo',
						'fa fa-google-plus' => 'Google Plus',
						'fa fa-google-plus-square' => 'Google Plus Square',
						'fa fa-google-wallet' => 'Goole Wallet',
						'fa fa-hacker-news' => 'Hacker News',
						'fa fa-html5' => 'HTML 5 Logo',
						'fa fa-instagram' => 'Instagram',
						'fa fa-ioxhost' => 'ioxhost',
						'fa fa-joomla' => 'Joomla Logo',
						'fa fa-jsfiddle' => 'jsFiddle',
						'fa fa-lastfm' => 'last.fm',
						'fa fa-lastfm-square' => 'last.fm Square',
						'fa fa-linkedin' => 'LinkedIn',
						'fa fa-linkedin-square' => 'LinkedIn Square',
						'fa fa-linux' => 'Linux',
						'fa fa-maxcdn' => 'MaxCDN',
						'fa fa-meanpath' => 'meanpath',
						'fa fa-openid' => 'OpenID',
						'fa fa-pagelines' => 'Pagelines',
						'fa fa-paypal' => 'Paypal',
						'fa fa-pied-piper' => 'Pied Piper Logo',
						'fa fa-pied-piper-alt' => 'Pied Piper Alternate Logo',
						'fa fa-pinterest' => 'Pinterest',
						'fa fa-pinterest-square' => 'Pinterest Square',
						'fa fa-qq' => 'QQ',
						'fa fa-rebel' => 'Rebel Alliance',
						'fa fa-reddit' => 'reddit Logo',
						'fa fa-reddit-square' => 'reddit Square',
						'fa fa-renren' => 'Renren',
						'fa fa-share-alt' => 'Share Alt',
						'fa fa-share-alt-square' => 'Share Alt Square',
						'fa fa-skype' => 'Skype',
						'fa fa-slack' => 'Slack Logo',
						'fa fa-slideshare' => 'Slideshare',
						'fa fa-soundcloud' => 'SoundCloud',
						'fa fa-spotify' => 'Spotify',
						'fa fa-stack-exchange' => 'Stack Exchange',
						'fa fa-stack-overflow' => 'Stack Overflow',
						'fa fa-steam' => 'Steam',
						'fa fa-steam-square' => 'Steam Square',
						'fa fa-stumbleupon' => 'StumbleUpon Logo',
						'fa fa-stumbleupon-circle' => 'StumbleUpon Circle',
						'fa fa-tencent-weibo' => 'Tencent Weibo',
						'fa fa-trello' => 'Trello',
						'fa fa-tumblr' => 'Tumblr',
						'fa fa-tumblr-square' => 'Tumblr Square',
						'fa fa-twitch' => 'Twitch',
						'fa fa-twitter' => 'Twitter',
						'fa fa-twitter-square' => 'Twitter Square',
						'fa fa-vimeo-square' => 'Vimeo Square',
						'fa fa-vine' => 'Vine',
						'fa fa-vk' => 'VK',
						'fa fa-weibo' => 'Weibo',
						'fa fa-weixin' => 'Weixin (WeChat)',
						'fa fa-windows' => 'Windows',
						'fa fa-wordpress' => 'Wordpress Logo',
						'fa fa-xing' => 'Xing',
						'fa fa-xing-square' => 'Xing Square',
						'fa fa-yahoo' => 'Yahoo Logo',
						'fa fa-yelp' => 'Yelp',
						'fa fa-youtube' => 'YouTube',
						'fa fa-youtube-play' => 'YouTube Play',
						'fa fa-youtube-square' => 'YouTube Square',
					),
					'default_value' => array (
						'' => '',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'placeholder' => '',
					'disabled' => 0,
					'readonly' => 0,
					'return_format' => 'value',
				),
				array (
					'key' => 'field_55ae2ee638e94',
					'label' => __('Link', 'craftit'),
					'name' => 'gg_social_icon_link',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
			),
		),
		array (
			'key' => 'field_55ae13a120209',
			'label' => __('Sidebars', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_5596604147ece',
			'label' => 'Sidebar options',
			'name' => 'gg_sidebars',
			'type' => 'repeater',
			'instructions' => 'Create a custom sidebar to use on pages or posts. Then go to Appearance >> Widgets to add widgets.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => '',
			'max' => '',
			'layout' => 'row',
			'button_label' => 'Add Sidebar',
			'collapsed' => '',
			'sub_fields' => array (
				array (
					'key' => 'field_5596607347ecf',
					'label' => 'Sidebar name',
					'name' => 'gg_sidebar_name',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
			),
		),
		array (
			'key' => 'field_55ae256271017',
			'label' => __('Fonts', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 1,
		),
		array (
			'key' => 'field_55ae488439030',
			'label' => __('Headings font', 'craftit'),
			'name' => 'gg_headings_font',
			'type' => 'google_font_selector',
			'instructions' => __('Select the theme font. Default: Poppins', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'include_web_safe_fonts' => 1,
			'enqueue_font' => 1,
			'default_font' => 'Poppins',
		),
		array (
			'key' => 'field_55d2f67f05559',
			'label' => __('Body font', 'craftit'),
			'name' => 'gg_body_font',
			'type' => 'google_font_selector',
			'instructions' => __('Select the theme font. Default: Lora', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'include_web_safe_fonts' => 1,
			'enqueue_font' => 1,
			'default_font' => 'Lora',
		),
		array (
			'key' => 'field_55ae25eb2fbac',
			'label' => __('Colors', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55b0e470292f2',
			'label' => __('Text colors', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Modify the default text colors', 'craftit'),
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array (
			'key' => 'field_55b0e601907ba',
			'label' => __('Text body color', 'craftit'),
			'name' => 'gg_text_body_color',
			'type' => 'color_picker',
			'instructions' => __('Default value: #737373', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => '#737373',
		),
		array (
			'key' => 'field_55b0e65d11068',
			'label' => __('Headings color', 'craftit'),
			'name' => 'gg_headings_color',
			'type' => 'color_picker',
			'instructions' => __('Default value: #000000', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'default_value' => '#000000',
		),
		array (
			'key' => 'field_55b0e72311069',
			'label' => __('Link and elements color', 'craftit'),
			'name' => 'gg_link_color',
			'type' => 'color_picker',
			'instructions' => __('Default value: #121416', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => '#121416',
		),
		array (
			'key' => 'field_55b0e5e3907b9',
			'label' => __('Elements color', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Modify the default elements color. 
Affects: elements with background color, like footer, badges, dark menu, fullscreen search', 'craftit'),
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array (
			'key' => 'field_55b0f17e116ef',
			'label' => __('Primary color', 'craftit'),
			'name' => 'gg_primary_color',
			'type' => 'color_picker',
			'instructions' => __('Default value: #000', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '#000',
		),
		array (
			'key' => 'field_5889bd5f2ac0e',
			'label' => __('Secondary color', 'craftit'),
			'name' => 'gg_secondary_color',
			'type' => 'color_picker',
			'instructions' => __('Default value: #fff200', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '#fff200',
		),
		array (
			'key' => 'field_55ae258271018',
			'label' => __('Page templates', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55b12f77bbf75',
			'label' => __('Search page', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Select the layout of the search page.', 'craftit'),
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array (
			'key' => 'field_55b12f90bbf76',
			'label' => __('Search page layout', 'craftit'),
			'name' => 'gg_search_page_layout',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'with_left_sidebar' => __('With left sidebar', 'craftit'),
				'with_right_sidebar' => __('With right sidebar', 'craftit'),
				'no_sidebar' => __('No sidebar', 'craftit'),
			),
			'default_value' => array (
				0 => 'no_sidebar',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_55b1fc9e637e3',
			'label' => __('404 page', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Set the options for the 404 error page.', 'craftit'),
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array (
			'key' => 'field_55b1fcba637e4',
			'label' => __('Error page title', 'craftit'),
			'name' => 'gg_error_page_title',
			'type' => 'text',
			'instructions' => __('Set the page title', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '404 Error',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_55b1fcf2637e5',
			'label' => __('Error page description', 'craftit'),
			'name' => 'gg_error_page_description',
			'type' => 'textarea',
			'instructions' => __('Set a message', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'It seems we can\'t find what you\'re looking for. Perhaps searching can help.',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_55b1fe58f8dee',
			'label' => __('Category/Archive page', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Select the layout of the posts category/archive page.', 'craftit'),
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array (
			'key' => 'field_55b1fe77f8def',
			'label' => __('Page layout', 'craftit'),
			'name' => 'gg_cat_page_layout',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'with_left_sidebar' => __('With left sidebar', 'craftit'),
				'with_right_sidebar' => __('With right sidebar', 'craftit'),
				'no_sidebar' => __('No sidebar', 'craftit'),
			),
			'default_value' => array (
				0 => 'with_right_sidebar',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_55b230be9081f',
			'label' => __('Gallery archive page', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array (
			'key' => 'field_55b230ce90820',
			'label' => __('Page layout', 'craftit'),
			'name' => 'gg_gallery_page_layout',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'with_left_sidebar' => __('With left sidebar', 'craftit'),
				'with_right_sidebar' => __('With right sidebar', 'craftit'),
				'no_sidebar' => __('No sidebar', 'craftit'),
			),
			'default_value' => array (
				'no_sidebar' => 'no_sidebar',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
			'return_format' => 'value',
		),
		array (
			'key' => 'field_55ae234a0e41c',
			'label' => __('Custom CSS', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55ae23560e41d',
			'label' => __('CSS', 'craftit'),
			'name' => 'gg_css',
			'type' => 'textarea',
			'instructions' => __('Your custom CSS goes here. Do not include the style tag. This is already done for you.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_55ae22d40e41a',
			'label' => __('Custom scripts', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55ae22e10e41b',
			'label' => __('JS', 'craftit'),
			'name' => 'gg_script',
			'type' => 'textarea',
			'instructions' => __('Add custom footer scripts such as Google Analytics. Do not include the script tag. This is already done for you.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_56138d8a5c1d8',
			'label' => __('Store', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_56138d965c1d9',
			'label' => 'Catalog mode',
			'name' => 'gg_store_catalog_mode',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable catalog mode. This will disable: add to cart, checkout and buy functions.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_56ab62e3bf028',
			'label' => 'Activate product image sizes',
			'name' => 'gg_activate_product_image_sizes',
			'type' => 'true_false',
			'instructions' => 'Check this to activate the inputs for image size change from WooCommerce >> Settings >> Products >> Display',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_56138df55c1da',
			'label' => __('Shop page options', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Shop page options', 'craftit'),
			'new_lines' => '',
			'esc_html' => 0,
		),
		array (
			'key' => 'field_58a70ec92e894',
			'label' => __('Shop page name', 'craftit'),
			'name' => 'gg_shop_page_name',
			'type' => 'text',
			'instructions' => __('Custom name of the shop page', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'all products',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58a70f0a2e895',
			'label' => __('Shop filter', 'craftit'),
			'name' => 'gg_shop_filter',
			'type' => 'true_false',
			'instructions' => __('Enable/Disable shop filter on shop and categories page', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_56138f1c5c1db',
			'label' => __('Shop columns', 'craftit'),
			'name' => 'gg_shop_product_columns',
			'type' => 'select',
			'instructions' => __('Select the shop page number of columns', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				2 => __('2', 'craftit'),
				3 => __('3', 'craftit'),
				4 => __('4', 'craftit'),
			),
			'default_value' => array (
				0 => 4,
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_56138f535c1dc',
			'label' => __('Products per page', 'craftit'),
			'name' => 'gg_product_per_page',
			'type' => 'text',
			'instructions' => __('Insert the number of products to display until pagination kicks is', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'default_value' => 12,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_5613901b5c1dd',
			'label' => 'Products sale flash',
			'name' => 'gg_store_sale_flash',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable sale flash on products.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_561390b438a60',
			'label' => __('Products price', 'craftit'),
			'name' => 'gg_store_products_price',
			'type' => 'true_false',
			'instructions' => __('Enable/Disable products price.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613910138a61',
			'label' => 'Add to cart button',
			'name' => 'gg_store_add_to_cart',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable add to cart button',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613914738a62',
			'label' => __('Product page options', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Product page options', 'craftit'),
			'new_lines' => '',
			'esc_html' => 0,
		),
		array (
			'key' => 'field_5613916938a63',
			'label' => 'Product sale flash',
			'name' => 'gg_product_sale_flash',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable sale flash on product',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_561391a238a64',
			'label' => 'Product price',
			'name' => 'gg_product_products_price',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable product price',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_561391d138a65',
			'label' => 'Product short description',
			'name' => 'gg_product_products_excerpt',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable product short description',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613920038a66',
			'label' => 'Product meta',
			'name' => 'gg_product_products_meta',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable product meta (sku, category, tag)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613922d38a67',
			'label' => 'Product add to cart button',
			'name' => 'gg_product_add_to_cart',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable product add to cart button',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613925238a68',
			'label' => 'Related products',
			'name' => 'gg_product_related_products',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable Related products',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613927438a69',
			'label' => 'Up Sells products',
			'name' => 'gg_product_upsells_products',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable Up Sells products',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613929938a6a',
			'label' => 'Reviews tab',
			'name' => 'gg_product_reviews_tab',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable reviews tab',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_561392b938a6b',
			'label' => 'Description tab',
			'name' => 'gg_product_description_tab',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable description tab',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_561392e538a6c',
			'label' => 'Additional information tab',
			'name' => 'gg_product_attributes_tab',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable additional information tab',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 33,
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5613930338a6d',
			'label' => __('Cart page options', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Cart page options', 'craftit'),
			'new_lines' => '',
			'esc_html' => 0,
		),
		array (
			'key' => 'field_5613931c38a6e',
			'label' => 'Cross Sells products',
			'name' => 'gg_product_crosssells_products',
			'type' => 'true_false',
			'instructions' => 'Enable/Disable Cross Sells products',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'theme-options',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_546ef5e7380c4',
	'title' => __('Blog Options', 'craftit'),
	'fields' => array (
		array (
			'key' => 'field_546ef5ea14c14',
			'label' => __('Blog layout', 'craftit'),
			'name' => 'gg_blog_layout',
			'type' => 'select',
			'instructions' => __('Select the blog layout', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'fitRows' => __('Grid Fit rows', 'craftit'),
				'masonry' => __('Grid Masonry', 'craftit'),
			),
			'default_value' => array (
				0 => 'fitRows',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_546f0a785014f',
			'label' => __('Blog layout style', 'craftit'),
			'name' => 'gg_blog_layout_style',
			'type' => 'select',
			'instructions' => __('Select the blog layout style', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_546ef5ea14c14',
						'operator' => '==',
						'value' => 'masonry',
					),
				),
				array (
					array (
						'field' => 'field_546ef5ea14c14',
						'operator' => '==',
						'value' => 'fitRows',
					),
				),
			),
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'gap' => __('Gap', 'craftit'),
				'nogap' => __('No Gap', 'craftit'),
			),
			'default_value' => array (
				0 => 'gap',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_546f0aff3a532',
			'label' => __('Blog columns', 'craftit'),
			'name' => 'gg_blog_columns',
			'type' => 'select',
			'instructions' => __('Select the number of columns', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_546ef5ea14c14',
						'operator' => '==',
						'value' => 'fitRows',
					),
				),
				array (
					array (
						'field' => 'field_546ef5ea14c14',
						'operator' => '==',
						'value' => 'masonry',
					),
				),
			),
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				1 => __('1', 'craftit'),
				2 => __('2', 'craftit'),
				3 => __('3', 'craftit'),
			),
			'default_value' => array (
				0 => 1,
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_54bfb061ff824',
			'label' => __('Number of posts to show', 'craftit'),
			'name' => 'gg_blog_no_of_posts_to_show',
			'type' => 'text',
			'instructions' => __('Insert the number of blog posts to show', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'default_value' => 5,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_54eedbbefea3b',
			'label' => __('Blog pagination', 'craftit'),
			'name' => 'gg_blog_pagination',
			'type' => 'select',
			'instructions' => __('Select the blog pagination', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'numbered' => __('Numbered pagination', 'craftit'),
				'ajax_load' => __('Ajax load more pagination', 'craftit'),
			),
			'default_value' => array (
				'numbered' => 'numbered',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
			'return_format' => 'value',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'page_type',
				'operator' => '==',
				'value' => 'posts_page',
			),
		),
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'theme-templates/blog.php',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_54d0cd3f95809',
	'title' => __('Gallery Item Options', 'craftit'),
	'fields' => array (
		array (
			'key' => 'field_582c1b4df34a6',
			'label' => __('Publish date', 'craftit'),
			'name' => 'gg_gallery_published',
			'type' => 'date_picker',
			'instructions' => __('This is the Publish date of the project not the post date(the post date can be found in the right sidebar at the top - in admin panel)', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'display_format' => 'F j, Y',
			'return_format' => 'F j, Y',
			'first_day' => 1,
		),
		array (
			'key' => 'field_55912c6c067a5',
			'label' => __('Gallery short description', 'craftit'),
			'name' => 'gg_gallery_short_description',
			'type' => 'text',
			'instructions' => __('Insert a short description', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_54d0cd7c84b5a',
			'label' => __('Gallery item click', 'craftit'),
			'name' => 'gg_select_gallery_open_type',
			'type' => 'select',
			'instructions' => __('Select what to open when you click on the gallery item.', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'nothing' => __('Nothing', 'craftit'),
				'lightbox_image' => __('An image in lightbox', 'craftit'),
				'lightbox_video' => __('A video in lightbox', 'craftit'),
				'custom_url' => __('A custom URL', 'craftit'),
				'separate_page' => __('Gallery item content in an separate page', 'craftit'),
			),
			'default_value' => array (
				'nothing' => 'nothing',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
			'return_format' => 'value',
		),
		array (
			'key' => 'field_54d0ce1743340',
			'label' => __('Gallery item lightbox image', 'craftit'),
			'name' => 'gg_gallery_item_lightbox_image',
			'type' => 'image',
			'instructions' => __('Upload the image used in lightbox.', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_54d0cd7c84b5a',
						'operator' => '==',
						'value' => 'lightbox_image',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array (
			'key' => 'field_54d0ce52ee3ff',
			'label' => __('Gallery item lightbox video', 'craftit'),
			'name' => 'gg_gallery_item_lightbox_video',
			'type' => 'text',
			'instructions' => __('Insert the video link (Vimeo or Youtube)', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_54d0cd7c84b5a',
						'operator' => '==',
						'value' => 'lightbox_video',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_54d0ce7dee400',
			'label' => __('Custom URL', 'craftit'),
			'name' => 'gg_gallery_item_custom_url',
			'type' => 'url',
			'instructions' => __('Insert a custom URL here. The gallery item will link to this URL instead of the default one (the one that sends you to the gallery details page)', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_54d0cd7c84b5a',
						'operator' => '==',
						'value' => 'custom_url',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),
		array (
			'key' => 'field_54d0cea3ee401',
			'label' => __('Gallery images', 'craftit'),
			'name' => 'gg_gallery_images',
			'type' => 'gallery',
			'instructions' => __('Upload the images used gallery item page.', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_54d0cd7c84b5a',
						'operator' => '==',
						'value' => 'separate_page',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => '',
			'max' => '',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
			'insert' => 'append',
		),
		array (
			'key' => 'field_582c2e22958aa',
			'label' => __('Gallery Columns', 'craftit'),
			'name' => 'gg_gallery_columns',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 4,
			'placeholder' => 4,
			'prepend' => '',
			'append' => '',
			'min' => 1,
			'max' => 60,
			'step' => 1,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'gallery_cpt',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_546f25c33193d',
	'title' => __('Post Options', 'craftit'),
	'fields' => array (
		array (
			'key' => 'field_546f25d44af1e',
			'label' => __('Social share', 'craftit'),
			'name' => 'gg_post_social_share',
			'type' => 'true_false',
			'instructions' => __('Enable/Disable social share on post', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_5464cf5f3e820',
	'title' => __('Page Options', 'craftit'),
	'fields' => array (
		array (
			'key' => 'field_55a7b72d264bc',
			'label' => __('Header', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_5464cfec33375',
			'label' => __('Page header', 'craftit'),
			'name' => 'gg_page_header',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('Enable/Disable page header.', 'craftit'),
			'default_value' => 1,
		),
		array (
			'key' => 'field_56ebe432b6184',
			'label' => __('Page header align', 'craftit'),
			'name' => 'gg_page_header_align',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5464cfec33375',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'left' => __('Left', 'craftit'),
				'center' => __('Center', 'craftit'),
				'right' => __('Right', 'craftit'),
			),
			'default_value' => array (
				0 => 'left',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_5464d01033376',
			'label' => __('Page title', 'craftit'),
			'name' => 'gg_page_title',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5464cfec33375',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'message' => __('Enable/Disable page title.', 'craftit'),
			'default_value' => 1,
		),
		array (
			'key' => 'field_5549e6f6d39ee',
			'label' => __('Page breadcrumbs', 'craftit'),
			'name' => 'gg_page_breadcrumbs',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5464cfec33375',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'message' => __('Enable/Disable page breadcrumbs', 'craftit'),
			'default_value' => 0,
		),
		array (
			'key' => 'field_5464d02f33377',
			'label' => __('Page description', 'craftit'),
			'name' => 'gg_page_description',
			'type' => 'textarea',
			'instructions' => __('Insert your page short description here.', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5464cfec33375',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5464cfec33375',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => 'wpautop',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_55a7b764264bd',
			'label' => __('Header Slideshow', 'craftit'),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array (
			'key' => 'field_55cb13fa97ee2',
			'label' => __('Header slideshow info', 'craftit'),
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => __('You can display a Revolution Slider in the theme header, under the menu.', 'craftit'),
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array (
			'key' => 'field_54af910f75f0e',
			'label' => __('Page header slideshow', 'craftit'),
			'name' => 'gg_page_header_slider',
			'type' => 'true_false',
			'instructions' => __('Enable/disable page slideshow', 'craftit'),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_54af96c4857a4',
			'label' => __('Slideshow', 'craftit'),
			'name' => 'gg_page_header_slider_select',
			'type' => 'select',
			'instructions' => __('Select the slideshow', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_54af910f75f0e',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'homepage' => 'homepage',
				'homepage-2' => 'homepage-2',
				'homepage-3' => 'homepage-3',
				'homepage-4' => 'homepage-4',
				'sports-hero' => 'sports-hero',
				'gym' => 'gym',
			),
			'default_value' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
			'return_format' => 'value',
		),
		array (
			'key' => 'field_560a740244924',
			'label' => __('Slideshow position', 'craftit'),
			'name' => 'gg_page_header_slider_position',
			'type' => 'select',
			'instructions' => __('Select the slider position', 'craftit'),
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_54af910f75f0e',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'under_header' => __('Under the header', 'craftit'),
				'beneath_header' => __('Beneath the header', 'craftit'),
			),
			'default_value' => array (
				'under_header' => 'under_header',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
			'return_format' => 'value',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'default',
			),
		),
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'theme-templates/blog.php',
			),
		),
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'default',
			),
		),
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'default',
			),
		),
	),
	'menu_order' => 4,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

endif;