<?php 

// remove an item from the cart based on product_id send from ajax
function craftit_remove_product_cart_callback(){
	// force the product id to integer
	global $woocommerce;
	$product_id = (isset($_POST['product_id'])?(int)$_POST['product_id']:0);
	// create a new php object 
	$msg  = new stdClass();
	//add error to the object, by default the id is not valid
    $msg->error       = esc_html__('Invalid product ID.','woocommerce');
    $msg->id          = $product_id;
    $msg->mod         = 0;
    $msg->cart_total  = 0;
    $cart_items       = $woocommerce->cart->get_cart();
    $cart_items_count = count($cart_items);
    $msg->subtotal    = 0;

	if($product_id >0){
	
		if($cart_items_count  == 1){
			
			$woocommerce->cart->empty_cart(); 
			$msg->error  = esc_html__('No products in the cart.','woocommerce');
			$msg->mod = 2;
			
		}else if($cart_items_count  > 1){
			
			$msg->error  = '';
			$msg->mod = 1;
			$cart = $woocommerce->cart;
			

			foreach ($cart_items as $cart_item_key => $cart_item){
				if($cart_item['product_id'] == $_POST['product_id'] ){
					// Remove product in the cart using  cart_item_key.
					$cart->remove_cart_item($cart_item_key);
			  }
			}
			$msg->cart_total = count( WC()->cart->cart_contents );
			$msg->subtotal = $woocommerce->cart->get_cart_total();
		}
	}
	
	wp_die(json_encode($msg));

	
}
add_action( 'wp_ajax_craftit_remove_product_cart', 'craftit_remove_product_cart_callback' );
add_action( 'wp_ajax_nopriv_craftit_remove_product_cart', 'craftit_remove_product_cart_callback' );

/** Iulian new functions */
function craftit_custom_variation_price( $price, $product ) {

    $price = '';

    if ( !$product->min_variation_price || $product->min_variation_price !== $product->max_variation_price ) {
        $price .= '<span class="not-from">' . esc_html_x('', 'min_price', 'craftit') . ' </span>';
        $price .= woocommerce_price($product->get_price());
    }

    return $price;
}
//add_filter('woocommerce_variable_price_html', 'craftit_custom_variation_price', 10, 2);


add_filter( 'woocommerce_after_single_product', 'craftit_increase_count_callback');
function craftit_increase_count_callback(){
	global $product;
	$count = (int)get_post_meta($product->get_id(), 'craftit_product_count',true) +1 ;
	update_post_meta($product->get_id(), 'craftit_product_count', $count);
	
}

remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_add_to_cart', 30 );
remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );

remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10 );
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );


function craftit_woocommerce_before_shop_loop_item(){
	echo '<div class="product-image">';
	echo '<span class="overlay">';
	echo '<span class="wrapper">';
	echo '<a href="'.get_the_permalink().'" class="view"><img src="'.get_template_directory_uri().'/images/eye.svg" alt="" class="svg" /><span>'.esc_html__('View','woocommerce').'</span></a>';
	
	if ( _get_field('gg_store_add_to_cart','option', true) === true ) {
		echo woocommerce_template_loop_add_to_cart();
	}

	echo '</span>';
	echo '</span>';
	echo get_the_post_thumbnail( get_the_id(),'full' );
	echo '</div>';
}
add_action('woocommerce_before_shop_loop_item','craftit_woocommerce_before_shop_loop_item');

function craftit_woocommerce_before_shop_loop_item_title(){
	echo '<div class="product-body">';
	echo '<a href="'.get_the_permalink().'">';
	
}
add_action('woocommerce_before_shop_loop_item_title','craftit_woocommerce_before_shop_loop_item_title');

function craftit_woocommerce_after_shop_loop_item_title(){
	global $product; 
	echo '</a>';

	if ( _get_field('gg_store_products_price','option', true) === true ) {
		echo '<span class="price">'.$product->get_price_html() .'</span>';
	}
	
}
add_action('woocommerce_after_shop_loop_item_title','craftit_woocommerce_after_shop_loop_item_title');
function craftit_woocommerce_after_shop_loop_item(){
	echo '</div>';
	
}
add_action('woocommerce_after_shop_loop_item','craftit_woocommerce_after_shop_loop_item');

if(isset($_GET['woo_per_page'])){
	$per_page = (int) $_GET['woo_per_page'];
	add_filter( 'loop_shop_per_page', create_function( '$cols', 'return '.$per_page.';' ), 20 );
}

/** 
 * Remove tab headings
 */
add_filter('woocommerce_product_description_heading', 'craftit_clear_tab_headings');
add_filter('woocommerce_product_additional_information_heading', 'craftit_clear_tab_headings');
function craftit_clear_tab_headings() {
    return '';
}


function craftit_woo_get_products_callback(){
		global $woocommerce;
	
		$response = new stdClass();
		$response->html = craftit_get_cart_items();
		$response->total = $woocommerce->cart->cart_contents_count;
	
		wp_die(json_encode($response));	
}
add_action( 'wp_ajax_craftit_woo_get_products', 'craftit_woo_get_products_callback' );
add_action( 'wp_ajax_nopriv_craftit_woo_get_products', 'craftit_woo_get_products_callback' );

function craftit_get_cart_items(){
		global $woocommerce;
		$cnt = '';
		$items = $woocommerce->cart->get_cart();
		if($items){
			$cnt = '<div class="alert alert-danger" role="alert"></div>';
		$class_single_item = (count($items) == 1)?' class="single-item"':'';
		
		$cnt .= '<ul'.$class_single_item.'>';

		foreach($items as $item => $values) { 
		
			 $img = get_the_post_thumbnail(  $values['product_id'], 'thumbnail' );
			
				$product_id = $values['product_id'];
				$price = get_post_meta($product_id , '_price', true);
				$cnt .='<li id="craftit-cartItemtop-'.$product_id.'">';
				$cnt .='<div class="white-modal-img"><a href="'.esc_url(get_permalink($product_id)).'">'.$img .'</a></div>';
					$cnt .= '<div class="white-modal-cnt">';
					
					$cnt .= '<div class="white-modal-title"> '.esc_html(get_the_title($product_id)).'</div>';
					$cnt .= '<div class="white-modal-price">'.esc_html($values['quantity']).' x '.wc_price($price).'</div>';
					$cnt .= '<div class="white-modal-remove"><a href="#" data-product_id="'.$product_id.'" >'.esc_html__('Remove','woocommerce').'</a></div>';

					$cnt .='</div>';
				$cnt .='</li>';
			
		} 
		$cnt .= '</ul>';
		$cnt .= '<div class="white-modal-subtotal">';
		$cnt .= ''.esc_html__('Subtotal:','woocommerce').' <span class="subtotal">'. $woocommerce->cart->get_cart_total().'</span>';
		$cnt .='</div>';
		
		$cnt .='<div class="white-modal-buttons">';
		$cnt .= '<a href="'.wc_get_cart_url().'" type="button" class="btn btn-black btn-sm">'.esc_html__('View Cart','woocommerce').'</a>';
		$cnt .= '<a href="'.wc_get_checkout_url().'" type="button" class="btn btn-black-fill btn-sm">'.esc_html__('Checkout','woocommerce').'</a>';
		$cnt .='</div>';
	}else{
		$cnt .= '<div class="alert alert-danger" role="alert">'.esc_html__('No products in the cart.','woocommerce').'</div>';
	}
		return $cnt; 
}


function craftit_login_user_callback(){
	check_ajax_referer( 'woocommerce_login_ajax','woocommerce_login_ajax'  );
	

    $creds = array(
        'user_login'    => sanitize_text_field($_POST['username']),
        'user_password' => sanitize_text_field($_POST['password']),
        'remember'      => (isset($_POST['rememberme']))?true: false
    );
 
    $user = wp_signon( $creds, false );
	
    if ( is_wp_error( $user ) ) {
        echo $user->get_error_message();
    }else{
		echo '1';
	}
	wp_die();
}
add_action( 'wp_ajax_craftit_login_user', 'craftit_login_user_callback' );
add_action( 'wp_ajax_nopriv_craftit_login_user', 'craftit_login_user_callback' );



function craftit_register_user_callback(){
	 check_ajax_referer('register_nonce','register_nonce');


	$user_email = sanitize_text_field($_POST['email']);
	$username = sanitize_text_field($_POST['username']);
	$password = sanitize_text_field($_POST['password']);
	if(empty($username)){
		if(!empty($user_email)){
			$username = explode('@',$user_email);
			$username = $username[0];
		}
	}

	$user_id = username_exists( $username );
	if ( !$user_id and email_exists($user_email) == false ) {

		$user_id = wp_create_user( $username, $password, $user_email );
		if(!is_numeric($user_id)){
			wp_die($user_id->get_error_message());
		}
		$creds = array(
			'user_login'    => $username,
			'user_password' => $password,
			'remember'      => false
		);
	 
		$user = wp_signon( $creds, false );
		wp_die('1');
	} else {
		wp_die( esc_html__('An account is already registered with that username. Please choose another.', 'woocommerce'));
	}
		
	wp_die();
}
add_action( 'wp_ajax_craftit_register_user', 'craftit_register_user_callback' );
add_action( 'wp_ajax_nopriv_craftit_register_user', 'craftit_register_user_callback' );

include(get_template_directory().'/lib/woocommerce-cat_custom_fields.php');

// set the woo shop pagination from get.
if(isset($_GET['woo_per_page'])){
	$per_page = (int)$_GET['woo_per_page'];
	setcookie("craftit_shop_per_page", $per_page, time()+3600*24*31); // keep for 1 month
}	