<?php
/**
 * @package WordPress
 * @subpackage craftit
 */
 $published_date = get_field('gg_gallery_published'); 
 $gallery_columns = (int) get_field('gg_gallery_columns');  // let's make sure we get a int number
 if($gallery_columns <=0) $gallery_columns= 1; // just in case nr of columns is 0
?>

<div class="col-xs-12 col-md-12">
	
	<div class="craftit-gallery-info">
		<div class="row">
			<div class="col-md-6">
				<dl class="dl-horizontal">
					<?php if($published_date){ ?> <dt><?php esc_html_e('Published:','craftit');?></dt><dd><?php echo $published_date;?></dd> <?php } ?>
					<dt><?php esc_html_e('Fields:','craftit');?></dt><dd><?php echo craftit_get_gallery_cat(); ?></dd>
				</dl>
				
			</div>
			<div class="col-md-6 gallery-description">
				<h5><?php esc_html_e('Description','craftit');?></h5>
				<?php echo get_field('gg_gallery_short_description');?>
			</div>
		</div>
	</div>
    <?php 
    $gallery_images = _get_field( 'gg_gallery_images');
    if($gallery_images) :
    ?>

	<div class="gallery-slick-slider" data-cols="<?php echo $gallery_columns ; ?>">

		<?php foreach ( $gallery_images as $gallery_image ) : ?>
		
		<div class="gallery-image el-grid" > 
			<a href="<?php echo esc_url($gallery_image['url']); ?>" class="lightbox-el"><img class="wp-post-image" src="<?php echo esc_url($gallery_image['url']); ?>" alt="<?php echo esc_html($gallery_image['alt']); ?>" /></a>		
			<p><?php echo esc_html($gallery_image['caption']); ?></p>
		</div>

		<?php endforeach; ?>
	</div><!-- /.gallery-images-wrapper -->
	<?php endif; ?>


</div><!-- /.col-xs-12 .col-md-12 -->


<div class="col-xs-12 col-md-12">
	<div class="entry-content">	
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link">' . esc_html__( 'Pages:', 'craftit' ), 'after' => '</div>' ) ); ?>
	</div>
		<div class="post-social social-gallery">
	<?php get_template_part( 'parts/part', 'socialshare' ); ?>
	</div>
</div>

<!-- related posts -->


<div class="col-xs-12 col-md-12">
	
	<div class="related-galeries row">
	<?php get_template_part( 'parts/gallery/part', 'related-galleries' ); ?>
	</div>
</div>