<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage craftit
 */
?>

<?php
$blog_share_box = _get_field('gg_post_social_share','',true);
$blog_nav = _get_field('gg_post_navigation','',true);
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		

		<?php craftit_post_thumbnail(); ?>

		<?php if ( !is_single() ) : ?>
		<header class="entry-header">
			<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		</header><!-- .entry-header -->
		
		<div class="post-meta">
			<?php craftit_posted_on_summary(); ?>
		</div>

		<?php endif; ?>

		<?php if ( is_search() || has_excerpt() && ! is_single() ) : ?>

		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
		
		<?php else:  ?>

		<div class="entry-content">
			<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				esc_html__( 'Continue reading %s', 'craftit' ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'craftit' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'craftit' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>
		</div><!-- .entry-content -->
		<?php endif; ?>

		<?php if ( is_single() ) : ?>
		<footer class="entry-meta">
		<?php if ($blog_share_box) : ?>	
	    <div class="btn-group btn-group-justified pagination-wrapper">
            <div class="btn-group" role="group">
				<div class="post-social">
					<?php get_template_part( 'parts/part', 'socialshare' ); ?>
					<div class="social-text">
						<span id="social-count-<?php the_id(); ?>"><?php echo craftit_get_post_count_message(); ?></span>
					</div>
				</div>
            </div>
        </div>
        <?php endif; ?>

		</footer><!-- .entry-meta -->
		<?php endif; ?>


</article><!-- article -->
