<?php
/**
 * Result Count
 *
 * Shows text: Showing x - x of x results.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/result-count.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $wp_query;
	$paged    = max( 1, $wp_query->get( 'paged' ) );
	$per_page = $wp_query->get( 'posts_per_page' );
	if(isset($_COOKIE['craftit_shop_per_page'])) $per_page = (int) $_COOKIE['craftit_shop_per_page'];
	$total    = $wp_query->found_posts;
	$first    = ( $per_page * $paged ) - $per_page + 1;
	$last     = min( $total, $wp_query->get( 'posts_per_page' ) * $paged );
	
	if(isset($_GET['woo_per_page'])){
		$per_page = (int)$_GET['woo_per_page'];
		
	}	

	$default_pp = _get_field('gg_product_per_page','option', '12');
	$pp_multiplier = $default_pp * 2;
	$pp_multiplier_2 = $pp_multiplier * 2;


if ( ! woocommerce_products_will_display() )
	return;
?>	

<div class="craftit-order-header">

	<?php
	$shop_name = _get_field('gg_shop_page_name','option', 'all products');
	$shop_filter = _get_field('gg_shop_filter','option', true);
	?>

	<!-- filter button -->

	<div class="craftit_filter">
		<?php if ( is_shop() && $shop_name ) : ?>
		<span class="title"><?php esc_html_e('all products','craftit');?></span>
		<?php endif; ?>

		<?php if ( $shop_filter ) : ?>
		<a href="#craftit_filter_widget" class="btn btn-default"><?php esc_html_e('Filter','craftit');?></a>
		<?php endif; ?>
	</div>
	
	<!-- start hidden sidebar -->
	<?php
		if ( $shop_filter ) {
			get_template_part( 'parts/part', 'wc-filter' );
		}
	?>
	<!-- end hidden filter sidebar -->
	
<div class="woocommerce-order-right">	
	<div class="woocommerce-result-count">

		<span class="label-craftit_woo_result_count">
			<select name="craftit_woo_result_count"  class="craftit_woo_result_count" id="craftit_woo_result_count">
				<option value="<?php echo $default_pp; ?>" <?php if($per_page == $default_pp ) echo 'selected'; ?>><?php echo  sprintf(_n('View %d result','View %s results', $default_pp,'craftit'),$default_pp); ?></option>
				<option value="<?php echo $pp_multiplier; ?>" <?php if($per_page == $pp_multiplier ) echo 'selected'; ?>><?php echo  sprintf(_n('View %d result','View %s results', $pp_multiplier,'craftit'),$pp_multiplier); ?></option>
				<option value="<?php echo $pp_multiplier_2; ?>" <?php if($per_page == $pp_multiplier_2 ) echo 'selected'; ?>><?php echo  sprintf(_n('View %d result','View %s results', $pp_multiplier_2,'craftit'),$pp_multiplier_2); ?></option>
			</select>
		</span>
	</div>
