<?php

class CssManager{
	//store plain css
	protected $css='* { background: blue}';
	// store css array

	protected $page = '';
	protected $action = '';
	protected $table_name = 'craftit_css_manager';
    protected static $instance = null;
	protected $sections = array('general'=>0,'tablet'=>1,'mobile'=>2);
	protected $sections_s = array('general','tablet','mobile');

    protected function __construct($page='post.php',$action=''){
    

		$this->page = $page ;
		$this->action= $action;
		
    }

    protected function __clone(){
    }
	/* 
	 * Return the singletone instance
	 * @return instance
	*/
    public static function get($page='post.php',$action=''){
        if (!isset(static::$instance)) {
            static::$instance = new static($page,$action);

        }

        return static::$instance;
    }
	/**
		set the page and action 
		@param string $page
		@param string $action
		@return void
	*/
	public function setPageAction($page,$action){
		
		$this->page = $page;
		$this->action = $action;
	}
	public function removePage($post_id){
		$post_id = (int)$post_id;
		global $wpdb;
		$table = $wpdb->prefix.self::get()->table_name;
		if($post_id > 0){
			$wpdb->delete($table,
					array('post_id'=>$post_id),
					array('%d')
				);
		
			$file = craftit_get_cssManager_path($post_id).'generated-'.$post_id.'.css';
			@unlink($file);
		
		}
	}
	static function remove($selector, $property,$section='general',$post_id=0){
			global $wpdb; 

		if(empty($property)  ) return ; 
		$table = $wpdb->prefix.self::get()->table_name;
		$result = $wpdb->get_row( 
					$wpdb->prepare (
						"SELECT * FROM $table WHERE 
						name = %s AND 
						property = %s AND
						post_id=%d AND flag = %d", $selector, $property,  $post_id, self::get()->sections[$section]) 
						);
		if($result){
			$wpdb->delete($table,
					array('id'=>$result->id),
					array('%d')
				);
		}		

	}
	/*
	 * Add css rule
	 * @selector string $selector
	 * @selector string $property
	 * @selector string $value
	 * @selector string $section - general, mobile or tablet
	 * @return void
	*/
	static function add($selector, $property,$value,$section='general',$post_id=0){
		global $wpdb; 
		$selector= trim($selector);
		$property= trim($property);
		$value= trim($value);
		$section= trim($section);
		
		if(empty($value) || empty($property)  ) return ; 
		$table = $wpdb->prefix.self::get()->table_name;
		$row = $wpdb->get_row( 
					$wpdb->prepare (
						"SELECT * FROM $table WHERE 
						name = %s AND 
						property = %s AND
						post_id=%d AND flag = %d", $selector, $property,  $post_id, self::get()->sections[$section]) 
						);
							
		if($row) {
	
			$wpdb->update($table, array(
											'name'		=> 	$selector,
											'property'	=>	$property,
											'val'		=> 	$value,
											'flag' 		=> self::get()->sections[$section]
											
										), 
								 array( 'id'=>$row->id),
								 array(
									'%s',
									'%s',
									'%s',
									'%d'
								));
		}else{
	
			$wpdb->insert($table, array(
								'name'		=> 	$selector,
								'property'	=>	$property,
								'val'		=> 	$value,
								'flag' 		=> self::get()->sections[$section],
								'post_id'	=> $post_id
								
								
							),array(
						'%s',
						'%s',
						'%s',
						'%d',
						'%d'
					));
		}

	}
	/* Save css to a file
	 * @param string $file - path to file
	*/
	static function save($file,$post_id){
		$post_id = (int) $post_id;
		if($post_id <=0) return ; 
		$file  = craftit_get_cssManager_path().$file;
		if(!file_exists($file)){
		
				$fp = fopen($file, 'w');
		
				fclose($fp);
		}
		 
	global $wpdb ;
	$table = $wpdb->prefix.self::get()->table_name;
	$results = $wpdb->get_results(
					$wpdb->prepare("SELECT * FROM $table WHERE post_id=%d", $post_id )
				);

	
	//if the file is empty delete it
	if(count($results) ==0){
		update_post_meta($post_id, 'craftit_has_css_file', 0);
				@unlink($file);
				return ; 
	}
	
	$css_array = array();
	foreach($results as $k=>$v){
		
		if(!isset($css_array[$v->flag])) $css_array[$v->flag] = array();
		if(!isset($css_array[$v->flag][$v->name])) $css_array[$v->flag][$v->name] = array();
		if(!isset($css_array[$v->flag][$v->name][$v->property])) $css_array[$v->flag][$v->name][$v->property] = array();
		
		$css_array[$v->flag][$v->name][$v->property] = $v->val;
		
		
	}
	/*
		echo '<pre>';
	print_r($results);
	print_r($css_array);

die();*/



		if($css_array !== false){
			// load general css
			foreach($css_array[0] as $rule=>$properties){
					
					$css .= $rule .'{ ';
						foreach($properties as $p=>$value){
							
							$css .= $p.': '.$value.'; ';
						}
					$css .='} ';
				
			}
			// load tablets css
			$css .='@media (max-width: 1200px) { ';
				foreach($css_array[1] as $rule=>$properties){
						
							$css .= $rule .'{ ';
								foreach($properties as $p=>$value){
									
									$css .= $p.': '.$value.'; ';
								}
							$css .='} ';
						
				}
			$css .='} @media (max-width: 768px){ ';
				// load tablets css
				foreach($css_array[2] as $rule=>$properties){
						
						$css .= $rule .'{ ';
							foreach($properties as $p=>$value){
								
								$css .= $p.': '.$value.'; ';
							}
						$css .='} ';
						
					
				}	
			$css .='}/*end max-width*/';			
			
		}

		update_post_meta($post_id, 'craftit_has_css_file', 1);
	
		$url = wp_nonce_url(self::get()->page,self::get()->action);
		if (false === ($creds = request_filesystem_credentials($url, '', false, false, null) ) ) {
			return; // stop processing here
		}
		if ( ! WP_Filesystem($creds) ) {
			request_filesystem_credentials($url, '', true, false, null);
			return;
		}
		global $wp_filesystem;

		$wp_filesystem->put_contents(
		 $file,
		  $css,
		  FS_CHMOD_FILE // predefined mode settings for WP files
		);
	

		
	}
 
 function deleteItems($post_id, $protectedItem){



	global $wpdb ;
	$table = $wpdb->prefix.self::get()->table_name;
	$results = $wpdb->get_results(
					$wpdb->prepare("SELECT * FROM $table WHERE post_id=%d group by name", $post_id )
				);
	
	$count = $wpdb->get_row("SELECT count( *) as nr  FROM $table ");

	if($count->nr ==0){
		$wpdb->query("ALTER TABLE $table AUTO_INCREMENT = 1");
	}
	if(!$results ) return;
	
	foreach($results as $result){
		
			// the unique id is the first, lets get the first string then ignore everything that's after space
			$name = $result->name;
			$name = explode(' ',$name);
			$name = $name[0];

		if(!in_array($name, $protectedItem)){
	
			$wpdb->delete($table,array('name'=>$result->name, 'post_id'=>$post_id),array('%s','%d'));
	
			
		}
	}


 }
}


/*
CssManager::get()->load(get_template_directory().'/styles/generated.css');
CssManager::get()->add('body', 'background','red');
CssManager::get()->save(get_template_directory().'/styles/generated.css');
*/
//add_action( 'save_post','craftit_updateCssOnPostSave' );
/*
function craftit_updateCssOnPostSave($postId){

	die(var_dump($postId));
}*/
/*
	if the craftit folder from uploads doesn't exist is going to create the file.
*/
function craftit_get_cssManager_path(){
			$upload_dir = wp_upload_dir();
			$path  = $upload_dir['basedir'].'/craftit/';
			
			if(!file_exists($path )){
				wp_mkdir_p($path );
			}	
			
		return $path; 
}
function craftit_get_cssUrlManager_path(){
			$upload_dir = wp_upload_dir();

 			$path  = $upload_dir['baseurl'].'/craftit/';
		
			if(!file_exists($path )){
				wp_mkdir_p($path );
			}	
			
		return $path; 
}

add_action( 'admin_init', 'craftit_page_init' );
function craftit_page_init() {
    add_action( 'delete_post', 'craftit_on_page_delete', 10 );
}

function craftit_on_page_delete( $pid ) {
    
	
		CssManager::get()->removePage($pid);
	
}
add_action("after_switch_theme", "crafti_after_theme_enabled");

function crafti_after_theme_enabled(){
	$file = craftit_get_cssManager_path().'generated.css';
			if(!file_exists($file)){
		
				$fp = fopen($file, 'w');
		
				fclose($fp);
		}
}