<?php if (!defined('FW')) die('Forbidden');

function getTwitterBootstrapColumn($col){
		switch($col){ 
			default: 
			case 3: return 'col-xs-6 col-sm-4';
			case 4: return 'col-xs-6 col-sm-3';
			case 1: return 'col-xs-6 col-sm-12';	
			case 2: return 'col-xs-6 col-sm-6';
			case 6: return 'col-xs-6 col-sm-2';
			case 5: return 'col-xs-6 col-sm-4 col-md-15';
		}
}

function addGoogleFont($post_id, $family, $subset,$variation,$uid){
		// get encoded json
		if(empty($family)) return;
		$font_json = get_post_meta($post_id, 'font_family',true) ;
		// convert anything but a-z0-9 chars to _ char
		$font_name = preg_replace('/[^a-z0-9A-Z]+/','',$family);
		// if the font_array is empty setup an empty array
	
		if(empty($font_json)) {
				$font_array = array();
		}else{
			$font_array = json_decode($font_json,true);
			
		}
		foreach($font_array as $id=>$v){
			if($v['uid'] == $uid && $v['family'] != $family){
				unset($font_array[$id]);
			}
		}
	

			// create a font array
			$font_fam =array();
			$font_fam['family'] 		= $family;
			$font_fam['subset'] 		= $subset;
			$font_fam['variation']		= $variation;
			$font_fam['post_id'] 		= $post_id;
			$font_fam['uid']			= $uid;
		
			
			//add to array
			$font_array[$font_name] = $font_fam ;
			//update post_meta

		update_post_meta($post_id, 'font_family', json_encode($font_array));
		
}
function removeGoogleFont($post_id,$uid){
		$fonts = get_post_meta($post_id, 'font_family',true) ;
		
	if($fonts){
	
		$decoded_fonts = json_decode($fonts,true);

		foreach($decoded_fonts as $name=>$font){
			if($font['uid'] == $uid) unset($decoded_fonts[$name]);
		}
		
		update_post_meta($post_id, 'font_family', json_encode($decoded_fonts));
	}
}
function removeGoogleFonts($post_id,$not_2b_deleted){
/*
	echo '<pre>';
	print_r($not_2b_deleted);
*/
	
	$fonts = get_post_meta($post_id, 'font_family',true) ;
	if($fonts){
	
		$decoded_fonts = json_decode($fonts,true);
		foreach($decoded_fonts as $name=>$font){
	
			if(!in_array('#uid_'.$font['uid'], $not_2b_deleted)){
			
				removeGoogleFont($post_id,$font['uid']);
		
			
			}
			
		}
	}	

}
function getGoogleFonts($post_id){

	$fonts = get_post_meta($post_id, 'font_family',true) ;
	if($fonts){
	
		$decoded_fonts = json_decode($fonts,true);
		foreach($decoded_fonts as $name=>$font){

			wp_enqueue_style( 'craftit_unyson-google-fonts_'.$name, '//fonts.googleapis.com/css?family='.$font['family'].':'.$font['variation'].'&amp;subset'.$font['subset'], false );
		}
		

	}

}
function craftit_padding_margin($obj, $uid, $post_id,$type='padding'){
	
	new CraftitPMargin($obj->desktop_top,$obj->desktop_right,$obj->desktop_bottom,$obj->desktop_left,$uid, $type, "general", $post_id);
	new CraftitPMargin($obj->tablet_top,$obj->tablet_right,$obj->tablet_bottom,$obj->tablet_left,$uid, $type, "tablet", $post_id);
	new CraftitPMargin($obj->mobile_top,$obj->mobile_right,$obj->mobile_bottom,$obj->mobile_left,$uid, $type, "mobile", $post_id);	
	
}

class CraftitPMargin{
		private $top;
		private $right;
		private $bottom;
		private $left; 
		private $count ;
		private $uid;
		private $type;
		private $section;
		private $post_id ; 
	public function __construct($top, $right,$bottom,$left,$uid, $type, $section, $post_id){
		$this->top 		= $this->clean($top);
		$this->right 	= $this->clean($right);
		$this->bottom 	= $this->clean($bottom);
		$this->left 	= $this->clean($left);
		$this->uid 		= $uid;
		$this->section 	= $section;
		$this->post_id 	= $post_id; 
		$this->type 	= $type;
		$this->generateCss();
	}

	
	function generateCss(){

		if(	$this->top ==''){
				CssManager::get()->remove( '#uid_'.$this->uid,$this->type.'-top',$this->section, $this->post_id );
		}else{
			
			
			CssManager::get()->add(	
				'#uid_'.$this->uid, 
				$this->type.'-top',
				$this->top,
				$this->section,
				$this->post_id
			);
		}
		
		if(	$this->right ==''){
				CssManager::get()->remove( '#uid_'.$this->uid,$this->type.'-right',$this->section, $this->post_id );
		}else{
			CssManager::get()->add(	
				'#uid_'.$this->uid, 
				$this->type.'-right',
				$this->right,
				$this->section,
				$this->post_id
			);
		}	
		if(	$this->left ==''){
				CssManager::get()->remove( '#uid_'.$this->uid,$this->type.'-left',$this->section, $this->post_id );
		}else{
			CssManager::get()->add(	
				'#uid_'.$this->uid, 
				$this->type.'-left',
				$this->left,
				$this->section,
				$this->post_id
			);
		}
		if(	$this->bottom ==''){
				CssManager::get()->remove( '#uid_'.$this->uid,$this->type.'-bottom',$this->section, $this->post_id );
		}else{
			CssManager::get()->add(	
				'#uid_'.$this->uid, 
				$this->type.'-bottom',
				$this->bottom,
				$this->section,
				$this->post_id
			);
		}	
		
	}

		

	
	public function clean($v){
		
		$r =  preg_replace("/[^a-z0-9A-Z\-\s%]+/",'',$v);
		
		if(is_numeric($r)) return $r.'px';
		return $r; 
	}
	
}