<?php
class Fw_Shortcode_Craftit_Box_1 extends FW_Shortcode
{
 	protected function _init() {
	
	}
	function _render($atts, $content = NULL, $tag = ''){
		
		$cnt ='<div class="row box-1 '.esc_attr($atts['class']).'" id="uid_'.esc_attr($atts['uid']).'">';
				
			$cnt .='<div class="box-1-left-column">';
			
			$cnt .='<div class="col-flex-align">';
			
			// include the header only if is defined
			if(isset($atts['header'] )) {
				$cnt .= '<h2>'.esc_html($atts['header']).'</h2>';
			}
				
			foreach($atts['featured_boxes'] as $box_id=>$box){
				$cnt .='<div class="'.getTwitterBootstrapColumn($atts['columns']).' box-item">';
					$cnt .='<div class="icons">';
						$cnt .= $this->getImage($box['number'],1);
						$cnt .= $this->getImage($box['icon'],2);	
					$cnt .= '</div>';
					
					if(isset($box['title'] )) 		
						$cnt .= '<h4>'.esc_html($box['title']).'</h4>';
					if(isset($box['description'] )) 	
						$cnt .= '<p>'.esc_html($box['description']).'</p>';
				$cnt .= '</div>';
			}

			if( $atts['button_url'] ) {
				$cnt .= '<div class="col-sm-12 action"><a class="btn '.esc_attr($atts['button_style']).'" href="'.esc_url($atts['button_url']).'" target="'.esc_attr($atts['button_target']).'">'.esc_html($atts['button_label']).'</a></div>';
			}

			$cnt .= '</div>';

			$cnt .= '</div>';

			// image column
			$cnt .= '<div class="box-1-right-column">';
					$cnt .='<div class="col-flex-align">';
					$cnt .= $this->getImageHtml($atts['image'],'img');
					$cnt .='</div>';
			$cnt .='</div>';

		$cnt .= "</div>";
			
		return $cnt;
	}
	
	public function  addBackground($b,$uid,$post_id){
	
		if(!empty($b->primary)){
					
			
			if($b->primary != $b->secondary){
			
				CssManager::get()->add('#uid_'.$uid, 'background','linear-gradient(to bottom,  '.esc_attr($b->primary).' 0%,'.esc_attr($b->secondary).' 100%)','general',$post_id);
				CssManager::get()->add('#uid_'.$uid, 'filter','-moz-linear-gradient(top,  '.esc_attr($b->primary).' 0%, '.esc_attr($b->secondary).' 100%)','general',$post_id);

			}else{
				CssManager::get()->add('#uid_'.$uid, 'background',esc_attr($b->primary),'general',$post_id);
			}
			
		}else{
			CssManager::get()->add('#uid_'.$uid, 'background','general',$post_id);
			CssManager::get()->add('#uid_'.$uid, 'filter','general',$post_id);
		}
	}
	/*
	 * Get a image (svg or icon )
	*/
	public function getImage($img,$iconNr){
		if(empty($img)) return ; 
		$cnt = '';
		

		if(isset($img)){
			if($img['type'] == 'icon-font'){
				// this is fa icon
				if(!empty($img['icon-class']))	$cnt .='<div class="icon'.$iconNr.'"><span class="'.esc_attr($img['icon-class']).'"></span></div>';	//using late escape
			}else{
				// this is a custom file 
				// to test png and jpg images maybe there are more then 2 types 
				if(!empty($img['url']))	$cnt .='<div class="icon'.$iconNr.'"><img src="'.esc_attr($img['url']).'" alt="Icon" /></div>';	
			}
		}
		return $cnt;
	}	
	
	function getImageHtml($img, $alt){
	
		
		switch($img['type']){
			default:
			case 'custom': 
			if(empty($img['data']['icon'])) return '';
				return '<img src="'.esc_url($img['data']['icon']).'" alt="'.esc_attr($alt).'" />';
			break;
		}
		return '';
	}

public	function onSimpleItems($options,$post_id){	
		$atts = $options->atts;
		if($options->type == 'simple' && $options->shortcode == 'craftit_box_1'){
	
			$this->addBackground($atts->left_column_color,$atts->uid,$post_id);
			
		}
		
	}	
}
