<?php
class Fw_Shortcode_Craftit_Heading extends FW_Shortcode
{
 	protected function _init() {

	}
	function _render($atts, $content = NULL, $tag = ''){

	$cnt ='';
	if(substr($atts['heading'],0,1) == 'h') $type = 'title';
	else $type = esc_attr($atts['heading']);
	
	
	$cnt .= '<div class="fw-heading fw-heading-'.esc_attr($atts['heading']).' '.($atts['centered'] == 'yes' ? 'fw-heading-center' : '').'" id="uid_'.esc_attr($atts['uid']).'">';
	$cnt .='<'.esc_attr($atts['heading']).' class="fw-special-'.$type.' craftit-fw-heading">'.$atts['title'].'</'.esc_attr($atts['heading']).'>';
	 if (!empty($atts['subtitle'])){
		$cnt .='<div class="fw-special-subtitle">'.$atts['subtitle'].'</div>';
	} 
	$cnt .='</div>';
	
		return $cnt;
	}
	

	function addCss($atts, $uid,$post_id){
		
		if( $atts->width > 0){
			CssManager::get()->add('#uid_'.$uid, 'max-width',(int) $atts->width.'%','general',$post_id);
		}else{
			CssManager::get()->remove('#uid_'.$uid, 'max-width','general',$post_id);
		}

		//Add title color

		if( !empty($atts->title_color)){
				CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'color',esc_attr($atts->title_color),'general',$post_id);
			}else{
				CssManager::get()->remove('#uid_'.$uid.' .craftit-fw-heading' , 'color','general',$post_id);
		}
	
		//Add title color
		if( !empty($atts->subtitle_color)){
				CssManager::get()->add('#uid_'.$uid.' .fw-special-subtitle', 'color',esc_attr($atts->subtitle_color),'general',$post_id);
			}else{
				CssManager::get()->remove('#uid_'.$uid.' .fw-special-subtitle', 'color','general',$post_id);
		}

		
		if( $atts->custom_font_settings->custom_font=='enable' && $atts->custom_font_settings->enable->font->google_font ){ 
			addGoogleFont($post_id, $atts->custom_font_settings->enable->font->family, $atts->custom_font_settings->enable->font->subset,$atts->custom_font_settings->enable->font->variation,$uid); // add font family for wp_enqueue
		}else{
			removeGoogleFont($post_id,$uid); 
		}
			
		if( $atts->custom_font_settings->custom_font=='enable' ){
			echo '<pre>';
//die(print_r($atts->custom_font_settings->enable->font));
			
			
			if(!empty($atts->custom_font_settings->enable->font->family)) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'font-family', '"'.$atts->custom_font_settings->enable->font->family.'"','general',$post_id);
			if(!empty($atts->custom_font_settings->enable->font->style)) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'font-style', $atts->custom_font_settings->enable->font->style,'general',$post_id);
			if(!empty($atts->custom_font_settings->enable->font->weight)) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'font-weight',$atts->custom_font_settings->enable->font->weight,'general',$post_id);
		
			if(!empty($atts->custom_font_settings->enable->font->variation) && $atts->custom_font_settings->enable->font->variation != 'regular' ) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'font-weight',$atts->custom_font_settings->enable->font->variation,'general',$post_id);
			if(!empty($atts->custom_font_settings->enable->font->variation) && $atts->custom_font_settings->enable->font->variation == 'regular' ) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'font-weight','normal','general',$post_id);
			if(!empty($atts->custom_font_settings->enable->font->size)) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'font-size',(int) $atts->custom_font_settings->enable->font->size.'px','general',$post_id);
			if(!empty($atts->custom_font_settings->enable->font->{'line-height'})) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'line-height',(int) $atts->custom_font_settings->enable->font->{'line-height'}.'px','general',$post_id);
			if($atts->custom_font_settings->enable->font->{'letter-spacing'}!= '') CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'letter-spacing',(int) $atts->custom_font_settings->enable->font->{'letter-spacing'}.'px','general',$post_id);
			if(!empty($atts->custom_font_settings->enable->font->color)) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'color',(int) $atts->custom_font_settings->enable->font->color,'general',$post_id);	
		}else{
		
			if(!empty($atts->custom_font_settings->enable->font->variation)) CssManager::get()->add('#uid_'.$uid.' .craftit-fw-heading', 'font-weight',$atts->custom_font_settings->enable->font->variation,'general',$post_id);
			CssManager::get()->remove('#uid_'.$uid.' .craftit-fw-heading', 'font-family','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid.' .craftit-fw-heading', 'font-style','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid.' .craftit-fw-heading', 'font-weight','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid.' .craftit-fw-heading', 'font-size','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid.' .craftit-fw-heading', 'line-height','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid.' .craftit-fw-heading', 'letter-spacing','general',$post_id);

		}

		craftit_padding_margin($atts->margin , $uid, $post_id,'margin');

	}

	function onSimpleItems($options,$post_id){	
		$atts = $options->atts;
		



		if($options->type == 'simple' && $options->shortcode == 'craftit_heading'){
				
			$this->addCss($atts,$atts->uid,$post_id);
			
		}
		
	}	
}

