<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'title'    => array(
		'type'  => 'text',
		'label' => esc_html__( 'Title', 'craftit_shortcode' ),
	),
	'title_color'=>array(
		'type'  => 'color-picker',
		'label' => esc_html__('Title color', 'craftit'),
		'desc'  => esc_html__('Overwrite the default title color', 'craftit')
	),
	'subtitle' => array(
		'type'  => 'text',
		'label' => esc_html__( 'Subtitle', 'craftit_shortcode' ),
	),
	'subtitle_color'=>array(
		'type'  => 'color-picker',
		'label' => esc_html__('Subtitle color', 'craftit'),
		'desc'  => esc_html__('Overwrite the default subtitle color', 'craftit')
	),
	'heading' => array(
		'type'    => 'select',
		'label'   => esc_html__('Heading Size', 'craftit_shortcode' ),
		'choices' => array(
			'h1' => 'H1',
			'h2' => 'H2',
			'h3' => 'H3',
			'h4' => 'H4',
			'h5' => 'H5',
			'h6' => 'H6',
			'p'=>'p',
			'div'=>'div',
			'span'=>'span',
			'code'=>'code',
			'blockquote'=>'blockquote'
		)
	),
	'centered' => array(
		'type'    => 'switch',
		'label'   => esc_html__('Centered', 'craftit_shortcode' ),
		'left-choice' => array(
			'value' => 'no',
			'label' => esc_html__('No', 'craftit_shortcode' ),
		),
		'right-choice' => array(
			'value' => 'yes',
			'label' => esc_html__('Yes', 'craftit_shortcode' ),
		),
	),
	'width'=>array(
		'type'  => 'slider',
		'value' => 0,
		'properties' => array(
			
			'min' => 0,
			'max' => 100,
			'step' => 1, // Set slider step. Always > 0. Could be fractional.
			
		),
		'label' => esc_html__('Max Width(%)',  'craftit_shortcode'),
		'desc'  => esc_html__('Insert maximum width that the header can take ( % )',  'craftit_shortcode'),
	),


	'margin' => array(
		'type' => 'fw-multi-inline',
		'label' => __('Margin', 'craftit_shortcode'),
		'desc' => __('Responsive top/right/bottom/left margin', 'craftit_shortcode'),
		'value' => array(
			'desktop_top' =>'',
			'desktop_right' =>'',
			'desktop_bottom' =>'',
			'desktop_left' =>'',
			'tablet_top' =>'',
			'tablet_right' =>'',
			'tablet_bottom' =>'',
			'tablet_left' =>'',	
			'mobile_top' =>'',
			'mobile_right' =>'',
			'mobile_bottom' =>'',
			'mobile_left' =>'',	
			),
		
		'fw_multi_options' => array(
		   'desktop_top' => array(
				'type' =>'short-text',
				'title' => __('Desktop Top', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'top' ),
			),
			'desktop_right' => array(
				'type' =>'short-text',
				'title' => __('Desktop Right', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'right' ),

			),
			'desktop_bottom' => array(
				'type' =>'short-text',
				'title' => __('Desktop Bottom', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'bottom' ),

			),
			'desktop_left' => array(
				'type' =>'short-text',
				'title' => __('Desktop Left', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'left' ),
			),   
			'tablet_top' => array(
				'type' =>'short-text',
				'title' => __('Tablet Top', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'top' ),
			),
			'tablet_right' => array(
				'type' =>'short-text',
				'title' => __('Tablet Right', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'right' ),

			),
			'tablet_bottom' => array(
				'type' =>'short-text',
				'title' => __('Tablet Bottom', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'bottom' ),

			),
			'tablet_left' => array(
				'type' =>'short-text',
				'title' => __('Tablet Left', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'left' ),
			),   		
			'mobile_top' => array(
				'type' =>'short-text',
				'title' => __('Mobile Top', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'top' ),
			),
			'mobile_right' => array(
				'type' =>'short-text',
				'title' => __('Mobile Right', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'right' ),

			),
			'mobile_bottom' => array(
				'type' =>'short-text',
				'title' => __('Mobile Bottom', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'bottom' ),

			),
			'mobile_left' => array(
				'type' =>'short-text',
				'title' => __('Mobile Left', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'left' ),
			),   

		)
	),
	'custom_font_settings'=>array(
		'type'  => 'multi-picker',
		'label' => false,
		'desc'  => false,
		'picker' => array(
			// '<custom-key>' => option
			'custom_font' => array(
				'label'   => esc_html__('Use custom font?', 'craftit_shortcode' ),
				'type'  => 'switch',
				'right-choice' => array(
					'value' => 'enable',
					'label' => __('Yes', 'craftit_shortcode'),
				),
				'left-choice' => array(
					'value' => false,
					'label' => __('No', 'craftit_shortcode'),
				),
				'desc'    => __( 'Enable custom Google fonts', 'craftit_shortcode' ),
			)
		),
		
		'choices' => array(
			'enable' => array(
					'font'=>array(
						'type' => 'typography-v2',
						 'value' => array(
						'family' => 'Roboto',
							'subset' => 'latin-ext',
							'variation' => 'regular',
							'style' => 'italic',
							'weight' => '700',
							'size' => 14,
							'line-height' => 18,
							'letter-spacing' => 0,
							'color' => '#0000ff'
						),
						'components' => array(
							'style'			=> true,
							'family'         => true,
							'size'           => true,
							'line-height'    => true,
							'letter-spacing' => true,
							'color'          => false,
							'weight'	 => true,
							'variation'		=> true
						),
						'label' => esc_html__('Font', 'craftit_shortcode' ),
					),
					
				
			),
		),
		'show_borders' => false,
	),
	'uid'=> array( 'type' => 'unique' ),	

);

