<?php
class Fw_Shortcode_Craftit_Image extends FW_Shortcode
{
 	protected function _init() {
		
	}
	function _render($atts, $content = NULL, $tag = ''){
		
			
	$cnt ='<div class="craftit-img '.$this->getAlign($atts['align']).'" id="uid_'.esc_attr($atts['uid']).'">';
	
		$cnt .= $this->getImage( $atts['img'], $atts['alt']);
	$cnt .='</div>';	
		return $cnt;
	}
	

	/*
	 * Get a image (svg or icon )
	*/
	public function getImage($img,$alt){
		$cnt = '';
		if(isset($img)){
			if($img['type'] == 'icon-font'){
				// this is fa icon
				$cnt .='<div class="icon-font"><span class="'.esc_attr($img['icon-class']).'" title="'.esc_attr($alt).'"></span></div>';	//using late escape
			}else{
				// this is a custom file 
				// to test png and jpg images maybe there are more then 2 types 
				$cnt .='<div class="icon-font"><img src="'.esc_attr($img['url']).'" alt="'.esc_attr($alt).'" /></div>';	
			}
		}
		return $cnt;
	}	
	public function getAlign($align=''){
		switch($align){
			default: return  ''; 
			case 'left': 	return 'leftAlign'; 
			case 'right': 	return 'rightAlign'; 
			case 'center':  return 'center-text';
		
		}
	}
	public function getStyle($atts){
		$styles = array();// add in this array any styles rules you want
		if(isset($atts['size'])){
			
			$styles [] = 'font-size: '.esc_attr($atts['size']).'px'; // don't add ";", ";" will automatically be added
		}
		if(count($styles) > 0){
			
			$s = ' style="';
			$s .= implode('; ', $styles);
			$s .='"';
			
			return $s;
		}
		return '';
	}
	function addCss($atts, $uid,$post_id){

		if( !empty($atts->size)){
				CssManager::get()->add('#uid_'.$uid, 'font-size',esc_attr($atts->size).'px','general',$post_id);
			}else{
				CssManager::get()->remove('#uid_'.$uid, 'font-size','general',$post_id);
		}
	}	
	function onSimpleItems($options,$post_id){	
		$atts = $options->atts;
	
		if($options->type == 'simple' && $options->shortcode == 'craftit_image'){
	
			$this->addCss($atts,$atts->uid,$post_id);
			
		}
		
	}		
}