<?php
class Fw_Shortcode_Craftit_Instagram extends FW_Shortcode
{
 	protected function _init() {
	
	}
	function _render($atts, $content = NULL, $tag = ''){
		$cnt = '';
		$title = empty( $atts['title'] ) ? '' : $atts['title'];
		$followers_label = empty( $atts['followers_label'] ) ? '' : $atts['followers_label'];
		$username = empty( $atts['username'] ) ? '' : $atts['username'];
		$followers = empty( $atts['followers_nr'] ) ? '' : $atts['followers_nr'];
		$link = empty( $atts['link'] ) ? '' : $atts['link'];

		$target = empty( $atts['target'] ) ? '' : $atts['target'];
		$limit = empty( $atts['photo_nr'] ) ? 4 :(int) $atts['photo_nr'];
		$unique_id = preg_replace("/[^a-zA-Z0-9]+/","-",$title).rand(0,999999);

		$insta_username = '';
        if ( defined( 'SBIVER' ) ) {
            $insta = get_option('sb_instagram_settings');
            if ( isset($insta['sb_instagram_user_id']) ) {
                $insta_id = $insta['sb_instagram_user_id'];
            }
            if ( isset($insta['connected_accounts']) ) {
                $insta_username = $insta['connected_accounts'][$insta_id[0]]['username'];
            }            
        }

		$cnt .= '<div class="instagram"  id="uid_'.esc_attr($atts['uid']).'">';
		
		if ( $title != '' ) {
			$cnt .= '<div class="instagram-left"><h2>'.esc_html($title).'</h2></div>';
		}
		
		$cnt .= '<div class="instagram-right">';
		
		if ( $followers != '' ) {
			$cnt .= '<span class="followers">'.esc_html($followers);
			$cnt .= ' <span>'.$followers_label.'</span>';
			$cnt .= '</span>';
		} 

		if ( $link != '' ) { 
			$cnt .= '<a class="btn '. $atts['style'] .'" target="'.esc_attr($target).'" href="//instagram.com/'.esc_attr( trim( $insta_username ) ).'" rel="me">'.esc_html($link).'</a>';
		}
		$cnt .='</div>';

		$cnt .='<div class="instagram-body">';
	
		$cnt .= $this->getLayout($atts['layout'],$limit ,$unique_id);

		$cnt .='</div>';
		$cnt .='</div>';
	

		return $cnt;
	}
public function getLayout($layout,$limit, $unique_id){
	$cnt = '';
	switch($layout){
		default:
		case 'grid':
			$cnt .= '<div id="instagram-'.$unique_id.'" class="row grid">';

			$cnt .= do_shortcode("[instagram-feed num=".$limit." imagepadding=0 cols=".$limit." hoverdisplay=likes showheader=false showbutton=false showfollow=false]");
			$cnt .='</div>';
		break;
		case 'grid_without_space':
			$cnt .= '<div id="instagram-'.$unique_id.'" class="row grid without-space">';
			$cnt .= do_shortcode("[instagram-feed num=".$limit." imagepadding=0 cols=".$limit." hoverdisplay=likes showheader=false showbutton=false showfollow=false]");
			$cnt .='</div>';
		break;
		case 'carousel':
			$cnt .= '<div id="instagram-'.$unique_id.'" >';
			foreach ( $media_array as $item ) {

					$cnt .= '<a href="'. esc_url( $item->link ) .'"><img src="'. esc_url( $item->small ) .'"  alt="'. esc_attr( $item->description ) .'" title="'. esc_attr( $item->description ).'"  /></a>';
					}
			$cnt .='</div>';
			$cnt .= '<script>jQuery(document).ready(function($){ '; 
				$cnt .= '$(\'#instagram-'.$unique_id.'\').slick({';
					$cnt .= 'centerMode: false,';
					$cnt .= 'dots: false,';
					$cnt .= 'centerPadding: \'10px\',';
					$cnt .= 'autoplay: true,';
					$cnt .= 'autoplaySpeed: 2000,';

					$cnt .= 'slidesToShow: 5,';
					$cnt .= 'slidesToScroll: 1,';
					$cnt .= '});';
				$cnt .= '});';
				$cnt .= '</script>';
		
		break;
	}
	
	return $cnt ; 
}
	
	// based on https://gist.github.com/cosmocatalano/4544576
	function scrape_instagram( $username, $slice = 9 ) {

        $username = strtolower( $username );
        $username = str_replace( '@', '', $username );

        if ( false === ( $instagram = get_transient( 'instagram-media-5-'.sanitize_title_with_dashes( $username ) ) ) ) {

            $remote = wp_remote_get( 'http://instagram.com/'.trim( $username ) );

            if ( is_wp_error( $remote ) )
                return new WP_Error( 'site_down', esc_html__( 'Unable to communicate with Instagram.', 'craftit-shortcodes' ) );

            if ( 200 != wp_remote_retrieve_response_code( $remote ) )
                return new WP_Error( 'invalid_response', esc_html__( 'Instagram did not return a 200.', 'craftit-shortcodes' ) );

            $shards = explode( 'window._sharedData = ', $remote['body'] );
            $insta_json = explode( ';</script>', $shards[1] );

            $insta_array = json_decode( $insta_json[0], TRUE );

            if ( ! $insta_array )
                return new WP_Error( 'bad_json', esc_html__( 'Instagram has returned invalid data.', 'craftit-shortcodes' ) );

            if ( isset( $insta_array['entry_data']['ProfilePage'][0]['graphql']['user']['edge_owner_to_timeline_media']['edges'] ) ) {
                $images = $insta_array['entry_data']['ProfilePage'][0]['graphql']['user']['edge_owner_to_timeline_media']['edges'];
            } elseif ( isset( $insta_array['entry_data']['TagPage'][0]['graphql']['hashtag']['edge_hashtag_to_media']['edges'] ) ) {
                $images = $insta_array['entry_data']['TagPage'][0]['graphql']['hashtag']['edge_hashtag_to_media']['edges'];
            } else {
                return new WP_Error( 'bad_json_2', esc_html__( 'Instagram has returned invalid data.', 'craftit-shortcodes' ) );
            }

            if ( ! is_array( $images ) )
                return new WP_Error( 'bad_array', esc_html__( 'Instagram has returned invalid data.', 'craftit-shortcodes' ) );

            $instagram = array();

            foreach ( $images as $image ) {
                if ( true === $image['node']['is_video'] ) {
                    $type = 'video';
                } else {
                    $type = 'image';
                }
                $caption = __( 'Instagram Image', 'craftit-shortcodes' );
                if ( ! empty( $image['node']['edge_media_to_caption']['edges'][0]['node']['text'] ) ) {
                    $caption = wp_kses( $image['node']['edge_media_to_caption']['edges'][0]['node']['text'], array() );
                }
                $instagram[] = array(
                    'description' => $caption,
                    'link'        => trailingslashit( '//instagram.com/p/' . $image['node']['shortcode'] ),
                    'time'        => $image['node']['taken_at_timestamp'],
                    'comments'    => $image['node']['edge_media_to_comment']['count'],
                    'likes'       => $image['node']['edge_liked_by']['count'],
                    'thumbnail'   => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][0]['src'] ),
                    'small'       => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][2]['src'] ),
                    'large'       => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][4]['src'] ),
                    'original'    => preg_replace( '/^https?\:/i', '', $image['node']['display_url'] ),
                    'type'        => $type,
                );
            } // End foreach().

            // do not set an empty transient - should help catch private or empty accounts
            if ( ! empty( $instagram ) ) {
                $instagram = json_encode( $instagram );
                set_transient( 'instagram-media-5-'.sanitize_title_with_dashes( $username ), $instagram, apply_filters( 'null_instagram_cache_time', HOUR_IN_SECONDS*2 ) );
            }
        }

        if ( ! empty( $instagram ) ) {

            $instagram = json_decode( $instagram );

            //return array_slice( $instagram, 0, $slice );
            return $instagram;

        } else {

            return new WP_Error( 'no_images', esc_html__( 'Instagram did not return any images.', 'craftit-shortcodes' ) );

        }
    }


	function images_only( $media_item ) {

		if ( $media_item->type == 'image' )
			return true;

		return false;
	}
	function addCss($atts, $uid,$post_id){

		if( !empty($atts->color1)){
				CssManager::get()->add('#uid_'.$uid.' .instagram-left h2', 'color',esc_attr($atts->color1),'general',$post_id);
			}else{
				CssManager::get()->remove('#uid_'.$uid.' .instagram-left h2', 'color','general',$post_id);
		}
		if( !empty($atts->color2)){
			CssManager::get()->add('#uid_'.$uid.' .followers', 'color',esc_attr($atts->color2),'general',$post_id);
		}else{
			CssManager::get()->remove('#uid_'.$uid.' .followers', 'color','general',$post_id);
		}


	}	
	/**if this function is not defined, it can be defined in hooks. This function is called when an option is saved*/	
	function onSimpleItems($options,$post_id){	
		$atts = $options->atts;
	
		if($options->type == 'simple' && $options->shortcode == 'craftit_instagram'){
	
			$this->addCss($atts,$atts->uid,$post_id);
			
		}
		
	}


}
