<?php
class Fw_Shortcode_Craftit_Posts extends FW_Shortcode
{	
	protected $first_item  = ''; 
 	protected function _init() {
		add_action( 'wp_ajax_craftit_unyson_post', array($this,'ajax_content_callback' ));
		add_action( 'wp_ajax_nopriv_craftit_unyson_post', array($this,'ajax_content_callback') );		

	}
	/**
	Get Button label for ajax load more
	*/	
	function getLabel($atts){

		$style = $atts['pagination_type']['style'];
		if($style == 'carousel') return '';
		return $atts['pagination_type'][$style]['data']['load_more']['label_button']; 	
	}	
	/**
	 carousel dot pagination option
	*/
	function getCarouselDotsPagination($atts){

		 return ($atts['pagination_type']['carousel']['enable_dots_pagination'])?'true':'false';
	}
	/**
	 carousel arrow pagination option
	*/
	function getCarouselArrowPagination($atts){

		 return $atts['pagination_type']['carousel']['enable_arrow_pagination'];
	}
	/**get pagination type */
	function getSType($atts){	

		$style = $atts['pagination_type']['style'];
		if($style == 'carousel') return '';
		return $atts['pagination_type'][$style]['data']['type']; 	
	}			
	function _render($atts1, $content = NULL, $tag = ''){
	
		$atts = 	array(
			'page'              =>0,
			'css_class'         => $atts1['css_class'],
			'exclude_post'      => $atts1['exclude_post'],
			'only_post'         => $atts1['only_post'],
			'title'             => $atts1['title'],
			'subtitle'          => $atts1['subtitle'],
			'align'             => $atts1['align'],
			'pagination_type'   => $this->getSType($atts1),
			'pagination_layout' => $atts1['pagination_type']['style'],
			'per_page'          => $atts1['per_page'],
			'columns'           => $atts1['columns'],
			'orderby'           => $atts1['order_by'],
			'order'             => $atts1['order'],
			'categories'        => $atts1['categories'],
			'label_button'      => $this->getLabel($atts1),
			'dotPagination'			=> $this->getCarouselDotsPagination($atts1),
			'arrowPagination'			=> $this->getCarouselArrowPagination($atts1),			
			'uid'               => $atts1['uid'],
			
		);
		$atts  ['page']  = (int)$atts  ['page'] ;
		$exclude_post 	= '';
		$only_post 		= '';
		if(!empty($atts['exclude_post'])) $exclude_post =esc_attr( implode(',',$atts['exclude_post']));
		if(!empty($atts['only_post'])) $only_post =esc_attr( implode(',',$atts['only_post']));
		
		$cnt  = '<div id="posts_'.esc_attr($atts['uid']).'" class="posts2'.' '.esc_attr($atts['css_class']).' header-align-'.esc_attr($atts['align']).'">';

		//Title and subtitle
		if(!empty($atts['title'])) {
			$cnt .= '<div class="craftit-post1-header '.$atts['align'].'">';
				if(!empty($atts['title']))
					$cnt .= '<h2>'.esc_html($atts['title']).'</h2>';
					
				if(!empty($atts['subtitle']))
					$cnt .= '<h6>'.esc_html($atts['subtitle']).'</h6>';
			$cnt .= '</div>';
		}
		
		if( $atts['categories']['show_categories'] ){
			
			$categories = get_terms(array('taxonomy'=>'category','hide_empty'=>true));
			$cnt .= '<div class="craftit-post1-categories craftit-post1masonry-categories">';
			$cnt .='<div id="ajax_'.esc_attr($atts['uid']).'_loader" class="posts_ajax_loader">Loading</div>';
				if($categories) {
					$selected_cat = (empty($atts['categories']['enable']['default_category']))?' class="active"':'';
					$cnt .= '<a href="#" data-uid="'.esc_attr($atts['uid']).'"'.$selected_cat.' data-catid="">'.esc_html__('All','craftit_shortcode').'</a>'; 
						
					foreach( $categories as $i=>$cat ){
						$selected_cat = ($atts['categories']['enable']['default_category'] == $cat->term_id)?' class="active"':'';
						$cnt .= '<a href="#" data-uid="'.esc_attr($atts['uid']).'"'.$selected_cat.' data-catid="'.esc_attr($cat->term_id).'">'.esc_html($cat->name).'</a>'; 
					}
				}
			$cnt .= '</div>';

		}

		$post_query = $this->getPost($atts);
			
		$atts = $post_query['atts'];
		$posts = $post_query['posts'];
	
		switch($atts['pagination_layout']){
			default: 
			case 'masonry_load_more':
			case 'masonry_fit_grid':
						$cnt .= $this->getMasonryView($posts, $atts); 
			break;
			case 'carousel': $cnt .= $this->getCarouselView($posts, $atts); 
			break;
			
		}

		$cnt .= '<input type="hidden" name="posts2_page'.esc_attr($atts['uid']).'" id="posts2_page'.esc_attr($atts['uid']).'" value="'.((int)$atts['page'] +1).'" >';
		$cnt .= '<input type="hidden" name="posts2_css_class'.esc_attr($atts['uid']).'" id="posts2_css_class'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['css_class']).'" >';
		$cnt .= '<input type="hidden" name="posts2_title'.esc_attr($atts['uid']).'" id="posts2_title'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['title']).'" >';
		$cnt .= '<input type="hidden" name="posts2_subtitle'.esc_attr($atts['uid']).'" id="posts2_subtitle'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['subtitle']).'" >';
		$cnt .= '<input type="hidden" name="posts2_show_categories'.esc_attr($atts['uid']).'" id="posts2_show_categories'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['categories']['show_categories']).'" >';
		$cnt .= '<input type="hidden" name="posts2_pagination_type'.esc_attr($atts['uid']).'" id="posts2_pagination_type'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['pagination_type']).'" >';
		$cnt .= '<input type="hidden" name="posts2_pagination_layout'.esc_attr($atts['uid']).'" id="posts2_pagination_layout'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['pagination_layout']).'" >';
		$cnt .= '<input type="hidden" name="posts2_per_page'.esc_attr($atts['uid']).'" id="posts2_per_page'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['per_page']).'" >';
		$cnt .= '<input type="hidden" name="posts2_columns'.esc_attr($atts['uid']).'" id="posts2_columns'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['columns']).'" >';
		$cnt .= '<input type="hidden" name="posts2_orderby'.esc_attr($atts['uid']).'" id="posts2_orderby'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['orderby']).'" >';
		$cnt .= '<input type="hidden" name="posts2_order'.esc_attr($atts['uid']).'" id="posts2_order'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['order']).'" >';
		$cnt .= '<input type="hidden" name="posts2_limit_category'.esc_attr($atts['uid']).'" id="posts2_limit_category'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['categories']['enable']['limit_category']).'" >';
		$cnt .= '<input type="hidden" name="posts2_default_category'.esc_attr($atts['uid']).'" id="posts2_default_category'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['categories']['enable']['default_category']).'" >';
		$cnt .= '<input type="hidden" name="posts2_label_button'.esc_attr($atts['uid']).'" id="posts2_label_button'.esc_attr($atts['uid']).'" value="'.esc_attr($atts['label_button']).'" >';
		$cnt .= '<input type="hidden" name="posts2_exclude_post'.esc_attr($atts['uid']).'" id="posts2_exclude_post'.esc_attr($atts['uid']).'" value="'.$exclude_post.'" >';
		$cnt .= '<input type="hidden" name="posts2_only_post'.esc_attr($atts['uid']).'" id="posts2_only_post'.esc_attr($atts['uid']).'" value="'.$only_post.'" >';

		$cnt .= '</div>';
		
		return $cnt; 
		
	}

	/*  get only the post query 
	 *
	 * @param array $atts
	 * @return array 
	 */
	function getPost($atts){
		
		if(!isset($atts['order']) || empty($atts['order']) ) $atts['order'] = 'DESC';
		if(!isset($atts['orderby']) || empty($atts['orderby']) ) $atts['orderby'] = 'date';
		if(!isset($atts['per_page']) || empty($atts['per_page']) ) $atts['per_page'] = -1;
		if(!isset($atts['page']) || empty($atts['page']) ) $atts['page'] = 0; 
		
		$args = array(
			'post_type'	=> 'post',
			'post_status' => 'publish',	
			'posts_per_page' => (int) $atts['per_page'],
			'orderby' => $atts['orderby'],
			'order' => $atts['order']
		);
		if($atts['page'] > 0){
			$args['paged'] = (int)$atts['page'];
		}
		
		if(count($atts['exclude_post']) >1 ){
			
			$args['post__not_in']   = $atts['exclude_post'];
		}
		
		if(count($atts['only_post']) >1 ){
			
			$args['post__in']   = $atts['only_post'];
		}	
		$cat = (int)$atts['categories']['enable']['default_category']; 

		if($cat > 0){
			$args['tax_query'] = 	array('relation'=>'AND',
								array(			
											'taxonomy' => 'category',
											'field'    => 'term_id',
											'terms'    => $cat
									)
							)		
			;  
		}

		$atts['count_items'] = 1;
		$posts = new WP_Query( $args );
		$atts['count_items'] = $posts->found_posts;
	
		$atts['page_count'] = ceil($atts['count_items']/ $atts['per_page']) ;
		
	
		return array('posts'=>$posts,'atts'=> $atts);
		
	}
	/** get the simple pagination layout 
	 * @param object $posts
	 * @param array $atts
	 * @return string 
	*/	
	function getSimplePaginationView($posts,$atts){

		$cnt = '';
		$cnt .= '<div class="posts1_cnt craftit-post1SimplePagination">';
		if ( $posts->have_posts() ) {
			$cnt .= $this->parseLoadMoreItem($posts,$atts);
		}	
		$cnt .= '</div>';
		
		return $cnt; 
		
	}

	/** get the masonry layout 
	 * @param object $posts
	 * @param array $atts
	 * @return string 
	*/
	function getMasonryView($posts,$atts){
		
		$cnt = '';
		
			$page = (isset($atts['page']))?(int) $atts['page']: 0;
		

			$masonry_layout = ($atts['pagination_layout']=='masonry_load_more')?'masonry':'fitRows';	
			$masonry_post = '';
			if($atts['pagination_layout'] != 'carousel' ){
					$masonry_post = 'masonry_post';
			}
	
			$cnt .= '<div class="gg_posts_grid el-grid  posts1_cnt '.$masonry_post.'" data-layout-mode="'.$masonry_layout.'">';
			
			if ( $posts->have_posts() ) {
					$cnt .= $this->parseLoadMoreItem($posts,$atts);
			
			}	
			
			$cnt .= '</div>';
			$hiddenByDefault = '';	
			if( $atts['pagination_type'] =='load_more' && $atts['pagination_type']  != 'none'){
				$ajax_load_more = (empty($atts['label_button']))?esc_html__('Load More','craftit_shortcode'):$atts['label_button'];
			
				if($atts['count_items']/$atts['per_page'] < 1 ||  $atts['per_page'] < 0 ){
					$hiddenByDefault = " hidden";
				}
				$cnt  .= '<div class="ajaxLoadMorePosts center-text'.$hiddenByDefault.'"><a class="btn outline ajaxLoadMore" data-uid="'.esc_attr($atts['uid']).'">'.$ajax_load_more.'<span></span></a></div>';
			}
		  
		return $cnt; 
		
	}
	/** 
	 * Parse just a single item - used by ajax function also
	 * @param object posts
	 * @param array $atts
	 * @return string
	*/
	function parseLoadMoreItem($posts,$atts){
	
		$cnt = '';
		$i=0;
		while ( $posts->have_posts() ) { $posts->the_post();
			$id = get_the_id();
			$categories = '';
			$cat_list_items = array();
			$cat_list = get_the_terms($id,'category');
			if($cat_list) foreach($cat_list as $term ) $cat_list_items[] = $term->name;
			$categories = implode(', ' , $cat_list_items);
			$isotope_grid = '';
			
			if($atts['pagination_layout'] != 'carousel' ){
				$isotope_grid = ' masonry_post_item isotop-grid-item';
			}
			if($i++==0) $this->first_item = " post2-item-".esc_html($atts['page']); 
			$cnt .= '<div class="post2-item '.getTwitterBootstrapColumn($atts['columns']).$isotope_grid .$this->first_item .'">';
			ob_start(); 
            get_template_part( 'parts/post-formats/part', 'unyson-default' );
            $cnt .= "\n\t".ob_get_contents();
            ob_end_clean();
			$cnt .= '</div>';
		
		}

		wp_reset_query();

		$page = (isset($atts['page']))?(int) $atts['page']: 0;

			if($atts['pagination_type'] =='simple_pagination' && $atts['pagination_layout'] != 'carousel' ){
				if($atts['count_items'] > 0 && $atts['per_page'] > 0){			
				
		
				
				$prev_page = ($page - 1 >0)? $page - 1:-1;
				$next_page = ($page + 1 <= $atts['page_count'] )? $page + 1:-1;
			
					$cnt .=	'<div class="products-carousel-nav pcn-center posts_simple_pagination  masonry_post_item isotop-grid-item">';
					if($prev_page  > -1) 		$cnt .=	'<a href="#" class="fa fa-long-arrow-left prev enabled " data-page="'.$prev_page.'" data-uid="'.esc_attr($atts['uid']).'" id="grid-prev-'.esc_attr($atts['uid']).'"></a>';
					else 						$cnt .=	'<a href="#" class="fa fa-long-arrow-left prev  disabled" ></a>';
					if($next_page  > -1 ) 		$cnt .=	'<a href="#" id="grid-next-'.esc_attr($atts['uid']).'" data-page="'.$next_page.'" data-uid="'.esc_attr($atts['uid']).'" class="fa fa-long-arrow-right next enabled"></a>';
					else 						$cnt .=	'<a href="#" class="fa fa-long-arrow-right prev disabled"></a>';
					$cnt .='</div>';
				}
			}
		return $cnt ; 
	}
	
	/**
	 * get ajax callback
	*/
	function ajax_content_callback(){
	
		$atts= array(
			'page'					=> (int)$_POST['page'],
			'uid' 					=> sanitize_text_field($_POST['uid']),
			'css_class' 			=> sanitize_text_field($_POST['css_class']),
			'title' 				=> sanitize_text_field($_POST['title']),
			'subtitle' 				=> sanitize_text_field($_POST['subtitle']),
			'categories'			=> array(
							'show_categories' => sanitize_text_field($_POST['show_categories']),
							'enable'		  => array(
								'default_category'	=> sanitize_text_field($_POST['default_category']),
								'limit_category'	=> sanitize_text_field($_POST['limit_category'])
							)	
				),
			'pagination_type' 		=> sanitize_text_field($_POST['pagination_type']),
			'pagination_layout' 	=> sanitize_text_field($_POST['pagination_layout']),			
			'per_page' 				=> (int)$_POST['per_page'],
			'columns' 				=> (int)$_POST['columns'],
			'orderby' 				=> sanitize_text_field($_POST['order_by']),
			'order' 				=> sanitize_text_field($_POST['order']),
			'label_button'		=> sanitize_text_field($_POST['label_button']),
			'exclude_post'		=> sanitize_text_field($_POST['exclude_post']),
			'only_post'			=> sanitize_text_field($_POST['only_post']),
		);		
		

		
		$uid  = 'unkown_id';
		$category = $atts['default_category'];
		if(isset($_POST['category']) && trim($_POST['category']) != ''){
			$category  = $_POST['category'];
		
		}
		if(!empty($atts['exclude_post'])) $atts['exclude_post'] =explode(',',sanitize_text_field($atts['exclude_post']));
		if(!empty($atts['only_post'])) $atts['only_post']= explode(',',sanitize_text_field($atts['only_post']));
 

		$post_query = $this->getPost($atts);
		$atts = $post_query['atts'];
		$posts = $post_query['posts'];
		// return just a single item from pagination not everthing
		wp_die(
				json_encode( 
					array(	'html'			=> $this->parseLoadMoreItem($posts,$atts),
							'post_count'	=> ceil($atts['count_items'] /$atts['per_page']),
							'first'			=> trim($this->first_item) 
							) 
						)
			);
	}
	
	/**Implementation for css. You can call here the css manager 
	  * @param object $options
	  * @param integer $post_id
	  * @return void
	*/
	function onSimpleItems($options,$post_id){	
		$atts = $options->atts;
	
		if($options->type == 'simple' && $options->shortcode == 'craftit_blog'){
	
			$this->addCss($atts,$atts->uid,$post_id);
			
		}
		
	}	
	

	/** get the carouse  layout 
	 * @param object $posts
	 * @param array $atts
	 * @return string 
	*/	
	function getCarouselView($posts,$atts){
		
		$cnt = '';
		$dotsPagination 	= $atts['dotPagination'];
		$arrowPagination  	= $atts['arrowPagination'];
		$cnt .= '<div class="posts1_cnt  carousel-slick" data-dots="'.$dotsPagination.'"  id="carusel-'.esc_js($atts['uid']).'" id="carusel-'.esc_js($atts['uid']).'" data-uid="'.esc_js($atts['uid']).'" data-columns="'.esc_js($atts['columns']).'">';
		if ( $posts->have_posts() ) {
				$cnt .= $this->parseLoadMoreItem($posts,$atts);
			}	
		$cnt .= '</div>';
		if($arrowPagination  )  $cnt .='<div class="products-carousel-nav pcn-center"><a href="#" class="fa fa-long-arrow-left prev" id="carusel-prev-'.esc_attr($atts['uid']).'"></a><a href="#" id="carusel-next-'.esc_attr($atts['uid']).'" class="fa fa-long-arrow-right prev"></a></div>';

		return $cnt; 
		
	}
}

