<?php if (!defined('FW')) wp_die(esc_html__('forbiden','craftit_shortcode'));
$categories = get_terms(array('taxonomy'=>'category','hide_empty'=>false));
$cats = array();
if($categories) {
	$cats[''] = esc_html__('All','craftit_shortcode'); 
	foreach($categories as $cat){
			$cats[$cat->term_id] = esc_html($cat->name); 
	}

}
$options  = array(
	'title' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Title','craftit_shortcode'),
		'attr'  => array( 'placeholder' => 'the journal' ),
 	),
	'subtitle' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Subtitle','craftit_shortcode'),
		'attr'  => array( 'placeholder' => 'Our latest news' ),
 	),
 	'align' => array(
		'type' =>'select',
		'value'	=> 'center',
		'choices' =>array(
			'left' => esc_html__('Left','craftit_shortcode'),
			'right' => esc_html__('Right','craftit_shortcode'),
			'center' => esc_html__('Center','craftit_shortcode'),
			'inline' => esc_html__('Inline with filter','craftit_shortcode'),
		),
		'label' =>esc_html__('Position','craftit_shortcode'),
		'desc' =>esc_html__('Select how the title and subtitle will be aligned','craftit_shortcode'),
 	),
	'per_page' => array(
		'type' 	=>	'text',
		'value' => -1,
		'label' =>	esc_html__('Per Page','craftit_shortcode'),
		'desc' 	=>	esc_html__('Limit the number of items displayed','craftit_shortcode'),
		'help'  => __('Put -1 to display all posts.', 'craftit_shortcode'),
 	),
	'columns' => array(
		'type' =>'select',
		'value'	=> 4,
		'choices' =>array(
			'1' => esc_html__('1','craftit_shortcode'),
			'2' => esc_html__('2','craftit_shortcode'),
			'3' => esc_html__('3','craftit_shortcode'),
			'4' => esc_html__('4','craftit_shortcode'),
			'6' => esc_html__('6','craftit_shortcode'),						
			'12' => esc_html__('12','craftit_shortcode'),
					
		),
		'label' =>esc_html__('Columns','craftit_shortcode'),
		'desc' =>esc_html__('Choose on how many columns the posts will be displayed','craftit_shortcode'),
 	),
	'order' => array(
		'type' =>'select',
		'value'	=> 4,
		'choices' =>array(
			'ASC' 				=> esc_html__('ASC (ex: 1,2,3 or a,b,c )','craftit_shortcode'),
			'DESC' 				=> esc_html__('DESC (ex: 3,2,1 or c,b,a )','craftit_shortcode')
			
					
		),
		'label' =>esc_html__('Order','craftit_shortcode'),
		'desc' =>esc_html__('Designates the ascending or descending order of the "Order By" field.','craftit_shortcode'),
 	),	
	'order_by' => array(
		'type' =>'select',
		'value'	=> 4,
		'choices' =>array(
			'date' 				=> esc_html__('Date','craftit_shortcode'),
			'ID' 				=> esc_html__('Order by post id','craftit_shortcode'),
			'author' 			=> esc_html__('Order by author. ','craftit_shortcode'),
			'title' 			=> esc_html__('Order by title. ','craftit_shortcode'),
			'parent' 			=> esc_html__('Order by blog name (post slug).','craftit_shortcode'),
			'rand' 				=> esc_html__('Random order.','craftit_shortcode'),
			'comment_count' 	=> esc_html__('Order by number of comments','craftit_shortcode'),
			'none' 				=> esc_html__('No order ','craftit_shortcode')
			
					
		),
		'label' =>esc_html__('Order By','craftit_shortcode'),
		'desc' =>esc_html__('Define how the posts are sort out','craftit_shortcode')
 	),
	'exclude_post' => array(
		'type'  => 'multi-select',
		'label' => __('Exclude Posts', 'craftit_shortcode'),
		'desc'  => __('Exlude posts from the query', 'craftit_shortcode'),
		'population' => 'posts',
		'source' => 'post',
		'prepopulate' => 10,
		'limit' => 100,
	),	
	'only_post' => array(
		'type'  => 'multi-select',
		'label' => __('Include Posts', 'craftit_shortcode'),
		'desc'  => __('Display only selected posts.', 'craftit_shortcode'),
		'population' => 'posts',
		'source' => 'post',
		'prepopulate' => 10,
		'limit' => 100,
	),		
	'css_class' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Css Class','craftit_shortcode'),
		'desc' 	=>	esc_html__('Only for advanced users','craftit_shortcode'),
		'attr'  => array( 'placeholder' => '' ),
 	),

	'pagination_type'=>array(
		'type'  => 'multi-picker',
		'label' => false,
		'desc'  => false,
		'picker' => array(
			'style' => array(
				'type' =>'select',
				'choices' =>array(
					'masonry_load_more' 			=> esc_html__('Masonry','craftit_shortcode'),
					'grid' 							=> esc_html__('Fit Rows','craftit_shortcode'),
					'carousel' 						=> esc_html__('Carousel','craftit_shortcode'),
					
				),
				'label' =>esc_html__('Style','craftit_shortcode'),
				'desc' =>esc_html__('Display product items as grid or carousel','craftit_shortcode'),
			),	
		),
		'choices' => array(
				'carousel'=>array(
					'enable_arrow_pagination' => array(	
								'label'   => __( 'Enable arrow pagination?', 'craftit_shortcode' ),
								'type'  => 'switch',
								'right-choice' => array(
									'value' => true,
									'label' => __('Yes', 'craftit_shortcode'),
								),
								'left-choice' => array(
									'value' => false,
									'label' => __('No', 'craftit_shortcode'),
								),
								'desc'    => __( 'Select this if you want to show posts from only one category.', 'craftit_shortcode' ),
					),
					'enable_dots_pagination' => array(
								'label'   => __( 'Enable dots pagination?', 'craftit_shortcode' ),
								'type'  => 'switch',
								'right-choice' => array(
									'value' => true,
									'label' => __('Yes', 'craftit_shortcode'),
								),
								'left-choice' => array(
									'value' => false,
									'label' => __('No', 'craftit_shortcode'),
								),
								'desc'    => __( 'Select this if you want to show posts from only one category.', 'craftit_shortcode' ),
					)
				),
				array(
					'for' => array('masonry_load_more','grid'),
					'location' => 'after',
					'options'=>array(
							'data' => 
								array(
									'type'  => 'multi-picker',
									'label' => false,
									'desc'  => false,
									'picker' => array(
										'type' => array(
												'type' =>'select',
												'value'	=> 'load_more',  
												
												'label' => esc_html('Pagination type','craftit_shortcode'),
												'choices' =>array(
															'load_more'         => esc_html__('Load More','craftit_shortcode'),
															'simple_pagination' => esc_html__('Simple Pagination','craftit_shortcode'),
															'none'              => esc_html__('None','craftit_shortcode'),
																	
															)
										),
									),
									'choices' => array(
										'load_more'=>array(
												'label_button' => array(
												'type' 	=>	'text',
												'label' =>	esc_html__('Button label','craftit_shortcode'),
												'desc' 	=>	esc_html__('Ajax Load more button','craftit_shortcode'),
												'help'  => __('', 'craftit_shortcode'),
											),
										)
									)
								
								)
					
					)	
			),		
		
		),
		'show_borders' => false,
	),		
	'categories'=>array(
			'type'  => 'multi-picker',
			'label' => false,
			'desc'  => false,
			'value' => array(
				'gadget' => 'phone',

			),
			'picker' => array(
				// '<custom-key>' => option
				'show_categories' => array(
					'label'   => __( 'Show Categories?', 'craftit_shortcode' ),
					'type'  => 'switch',
					'right-choice' => array(
						'value' => 'enable',
						'label' => __('Yes', 'craftit_shortcode'),
					),
					'left-choice' => array(
						'value' => false,
						'label' => __('No', 'craftit_shortcode'),
					),
					'label'   => __( 'Show Categories?', 'craftit_shortcode' ),
					'desc'    => __( 'Select here if you want to show up categories filter', 'craftit_shortcode' ),
				)
			),
			
			'choices' => array(
				'enable' => array(
					'default_category' => array(
						'type'  => 'select',
						'label' => __('Default Category', 'craftit_shortcode'),
						'choices' => $cats,
						'value'=>''
					),	
					'limit_category' => array(
						'type' 	=>	'text',
						'label' =>	esc_html__('Limit categories','craftit_shortcode'),
						'desc' 	=>	esc_html__('If not filled all categories will show up','craftit_shortcode'),
					),
				),
			),
			/**
			 * (optional) if is true, the borders between choice options will be shown
			 */
			'show_borders' => false,
		),	
	'uid'=> array( 'type' => 'unique' ),
);
