<?php
class Fw_Shortcode_Craftit_Product_Categories extends FW_Shortcode
{
 	protected function _init() {
		
	}
	function _render($atts, $content = NULL, $tag = ''){
		$args = array(
			'taxonomy'=>'product_cat'
		);
		$cnt = '';
		if(isset($atts['orderby'])){
			
			$args['orderby'] = esc_html($atts['orderby']);
		}
		if(isset($atts['order'])){
			
			$args['order'] = esc_html($atts['order']);
		}
		if(isset($atts['include'])){
			
			$args['include'] = $atts['include'];
		}
		if(isset($atts['exclude'])){
			
			$args['exclude'] = $atts['exclude'];
		}			
		if(isset($atts['number'])){
			
			$args['number'] = esc_html($atts['number']);
		}			
		if(isset($atts['offset'])){
			
			$args['offset'] = esc_html($atts['offset']);
		}			
		
		$terms  = get_terms($args);

		if ( empty($terms) ) {
			$cnt .= esc_html__('No categories found','craftit_shortcode');

		}

		if($terms){
			switch($atts['style']){
				default: 
				case 'default': $cnt .= $this->getDefaultLayout($terms, $atts['columns']); break;
				case 'light': 	$cnt .= $this->getLightLayout($terms, $atts['columns']); break;
			}
		}

		return $cnt;
	}

	

	function getDefaultLayout($terms, $columns){
		
		$cnt = '<ul class="product_categories">';
			
			foreach($terms as $i=>$term ){
				$thumbnail_id =get_term_meta ( $term -> term_id, 'box-image', true );

		
				$overlay_img  = '';
				$cssClass = '';
				if( $thumbnail_id ){ 
				
					$overlay_img_options = array();
					$img =wp_get_attachment_image(get_term_meta ( $term -> term_id, 'icon-id', true ));
					if($img && preg_match("/\.svg/",$img ) ) $overlay_img_options ['class']= 'svg';
					$overlay_img =wp_get_attachment_image(get_term_meta ( $term -> term_id, 'icon-id', true ),'thumbnail',false,$overlay_img_options);  
					  
					$av_class = "has-cat-img";
				} else {
					$av_class = "no-cat-img";
				}
				
				$cnt .= '<li class="'.getTwitterBootstrapColumn($columns).' '.$av_class.'"><a href="'.get_term_link($term).'">'.wp_get_attachment_image($thumbnail_id,'large' );
					$cnt .= '<span class="overlay"><span  class="wraper">';
					if( !empty($overlay_img )) {
						$cnt .='<span class="img">'.$overlay_img.'</span>';
					} 
					$cnt .='<span class="title">'.$term->name.'</span>';
					$cnt .='</span></span>';
					$cnt .='</a></li>';
			}
			
			$cnt .= '</ul>';
			return $cnt ;
	}
	function getLightLayout($terms, $columns){
		
		$cnt = '<ul class="product_categories_light">';
			
			foreach($terms as $i=>$term ){
		
					$thumbnail_id =get_term_meta ( $term -> term_id, 'box-image', true );
				$overlay_img  = '';
				$cssClass = '';
				if($thumbnail_id ){ 
				
					$overlay_img = get_option( "craftit_cat_img_".$term->term_id);
					if(substr($overlay_img['img'],-4) == '.svg'){
						$cssClass = 'class="svg"';
					}
				}
				
				$cnt .= '<li class="'.getTwitterBootstrapColumn($columns).'"><a href="'.get_term_link($term).'">'.$term->name ;
					$cnt .= '<span class="overlay"><span  class="wraper">';
					$img = wp_get_attachment_image($thumbnail_id,'large' ) ;
					if($img) $cnt .='<span class="fullimg">'.$img .'</span>';
							
					$cnt .='</span></span>';
					$cnt .='</a></li>';
			}
			
			$cnt .= '</ul><div class="clear"></div>';
			return $cnt ;
	}
}
