<?php
class Fw_Shortcode_Craftit_Products extends FW_Shortcode
{
	// store the first css class item from a request
	protected $first_item  = ''; 
 	
	protected function _init() {
		add_action( 'wp_ajax_craftit_unyson_products', array($this,'ajax_content_callback' ));
		add_action( 'wp_ajax_nopriv_craftit_unyson_products', array($this,'ajax_content_callback') );
	}
	/**
	Get Button label for ajax load more
	*/	
	function getLabel($atts){
		
		$style = $atts['pagination_type']['style'];
		if($style == 'carousel') return '';
		return $atts['pagination_type'][$style]['data']['load_more']['label_button']; 	
	}	
	/**
	 carousel dot pagination option
	*/
	function getCarouselDotsPagination($atts){

		 return ($atts['pagination_type']['carousel']['enable_dots_pagination'])?'true':'false';
	}
	/**
	 carousel arrow pagination option
	*/
	function getCarouselArrowPagination($atts){

		 return $atts['pagination_type']['carousel']['enable_arrow_pagination'];
	}
	/**get pagination type */
	function getSType($atts){

		$style = $atts['pagination_type']['style'];
		if($style == 'carousel') return '';
		return $atts['pagination_type'][$style]['data']['type']; 	
	}	
	function _render($atts, $content = NULL, $tag = ''){
			
		/**
		* The shortcode attributes
		*/
		


		extract(shortcode_atts(array(
			'page'=>1,
			'css_class' 			=> $atts['css_class'],
			'exclude_products' 		=> $atts['exclude_products'],
			'only_post' 			=> $atts['only_post'],
			'title' 				=> $atts['title'],
			'subtitle' 				=> $atts['subtitle'],
			'align' 				=> $atts['align'],
			'current_post_id'		=> get_the_id(),
			'style' 				=> $atts['pagination_type']['style'],
			'label_button'			=> $this->getLabel($atts),
			'pagination_type'		=> $this->getSType($atts),
			'per_page' 				=> $atts['per_page'],
			'columns' 				=> $atts['columns'],
			'orderby' 				=> $atts['order_by'],
			'filters'				=> $atts['filters'],
			'order' 				=> $atts['order'],
			'uid' 					=> $atts['uid'],
			'show_only_categories'	=> $atts['categories']['show_only_categories'],
			'default_category'		=> $atts['categories']['enable']['default_category'],
			'limit_category'		=> $atts['filters']['enable']['limit_category'],
			'show_on_sale'			=> $atts['filters']['enable']['show_on_sale'],
			'show_most_popular'		=> $atts['filters']['enable']['show_most_popular'],
			'show_new_items'		=> $atts['filters']['enable']['show_new_items'],
			'show_featured'			=> $atts['filters']['enable']['show_featured'],
			'show_categories'		=> $atts['filters']['enable']['show_categories'],
			'show_filters'			=> $atts['filters']['show_filters'],
			
		), $atts));

		$atts['page']  = 1;
		$atts['current_post_id'] = $current_post_id;
		// by default the button is showing up, so don't display twice
		$atts['showAjaxButton']		= false;
		
		$cnt = '<div class="craftit-new-items-wrapper '.esc_attr($css_class).'">';
		
		//Title and subtitle
		if( !empty($atts['title']) ) {
		$cnt .= '<div class="products-carousel-title '.$atts['align'].'">';
				$cnt .= '<h2>'.esc_html($atts['title']).'</h2>';
			if(!empty($atts['subtitle']))
				$cnt .= '<h6>'.esc_html($atts['subtitle']).'</h6>';		
		$cnt .= '</div>';
		}

		//Filter
		if($atts['filters']['show_filters']){
			$cnt .='<div class="craftit-categories" id="cat_'.$uid.'">';

			$cnt .='<div id="ajax_'.$uid.'_loader" class="product_ajax_loader '.( $atts['filters']['show_filters'] ? 'filters_active' : '' ).'">Loading</div>';

			$cnt .= '<a href="#ajax_'.$uid.'" data-id="all" '.(($default_category == '') ? ' class="current" ' : '' ).'>'.esc_html__('All','craftit_shortcode').'</a>';

			if($show_new_items) $cnt .= '<a href="#ajax_'.$uid.'" data-id="new_items" '.(($default_category == 'new_items') ? ' class="current" ' : '' ).'>'.esc_html__('recent','craftit_shortcode').'</a>';
			if($show_most_popular)	$cnt .= '<a href="#ajax_'.$uid.'" data-id="most_popular" '.(($default_category == 'most_popular') ? ' class="current" ' : '' ).'>'.esc_html__('most popular','craftit_shortcode').'</a>';
			if($show_featured)	$cnt .= '<a href="#ajax_'.$uid.'" data-id="featured" '.(($default_category == 'featured') ? ' class="current" ' : '' ).'>'.esc_html__('featured','craftit_shortcode').'</a>';
			if($show_on_sale)	$cnt .= '<a href="#ajax_'.$uid.'" data-id="on_sale" '.(($default_category == 'on_sale') ? ' class="current" ' : '' ).'>'.esc_html__('on sale','craftit_shortcode').'</a>';
				
			if($atts['filters']['enable']['show_categories']){
				$categories = get_terms(	
									array(
											'taxonomy'=>'product_cat',
											'hide_empty'=>false,
											'number'=>(int) $limit_category //typecast to int 
										)
									);
				if($categories) {
		
					foreach($categories as $cat){
						$current_cat = ($default_category > 0 && $default_category == $cat->term_id  )?'class="current"':'';
						$cnt	 .= '<a href="#ajax_'.$uid.'" data-id="'.$cat->term_id.'" '.$current_cat.'>'.esc_html($cat->name).'</a>'; 
					}
				}
			}
			$cnt .='</div>';
		}


		if( ! $show_only_categories) {
			$default_category = false;
		}

		$cnt .='<div class="ajax_module_wrapper">';
				
		$cnt .='<div id="ajax_'.$uid.'" class="product_ajax_content" data-pagination-mode="'.$this->getSType($atts).'">'.$this->getProductsByAtts($atts,$default_category).'</div>';		
		$cnt .='</div>';

		$cnt .= '<input type="hidden" name="ajax_css_class'.$uid.'" id="ajax_css_class'.$uid.'" value="'.esc_attr($css_class).'" />';
		$cnt .= '<input type="hidden" name="ajax_exclude_products'.$uid.'" id="ajax_exclude_products'.$uid.'" value="'.esc_attr(implode(',',$exclude_products)).'" />';
		$cnt .= '<input type="hidden" name="ajax_only_post'.$uid.'" id="ajax_only_post'.$uid.'" value="'.esc_attr(implode(',',$only_post)).'" />';
		$cnt .= '<input type="hidden" name="ajax_title'.$uid.'" id="ajax_title'.$uid.'" value="'.esc_attr($title).'" />';
		$cnt .= '<input type="hidden" name="ajax_subtitle'.$uid.'" id="ajax_subtitle'.$uid.'" value="'.esc_attr($subtitle).'" />';
		$cnt .= '<input type="hidden" name="ajax_style'.$uid.'" id="ajax_style'.$uid.'" value="'.esc_attr($style).'" />';
		$cnt .= '<input type="hidden" name="ajax_pagination_type'.$uid.'" id="ajax_pagination_type'.$uid.'" value="'.esc_attr($this->getSType($atts)).'" />';
		$cnt .= '<input type="hidden" name="ajax_per_page'.$uid.'" id="ajax_per_page'.$uid.'" value="'.esc_attr($per_page).'" />';
		$cnt .= '<input type="hidden" name="ajax_columns'.$uid.'" id="ajax_columns'.$uid.'" value="'.esc_attr($columns).'" />';
		$cnt .= '<input type="hidden" name="ajax_orderby'.$uid.'" id="ajax_orderby'.$uid.'" value="'.esc_attr($orderby).'" />';
		$cnt .= '<input type="hidden" name="ajax_order'.$uid.'" id="ajax_order'.$uid.'" value="'.esc_attr($order).'" />';
		$cnt .= '<input type="hidden" name="ajax_default_category'.$uid.'" id="ajax_default_category'.$uid.'" value="'.esc_attr($default_category).'" />';
		$cnt .= '<input type="hidden" name="ajax_limit_category'.$uid.'" id="ajax_limit_category'.$uid.'" value="'.esc_attr($limit_category).'" />';
		$cnt .= '<input type="hidden" name="ajax_page'.$uid.'" id="ajax_page'.$uid.'" value="'.$atts['page'] .'" />';
		$cnt .= '<input type="hidden" name="ajax_label_button'.$uid.'" id="ajax_label_button'.$uid.'" value="'.$label_button .'" />';
		$cnt .= '<input type="hidden" name="ajax_show_filters'.$uid.'" id="ajax_show_filters'.$uid.'" value="'.$show_filters .'" />';
		$cnt .= '<input type="hidden" name="ajax_show_on_sale'.$uid.'" id="ajax_show_on_sale'.$uid.'" value="'.$show_on_sale .'" />';
		$cnt .= '<input type="hidden" name="ajax_show_most_popular'.$uid.'" id="ajax_show_most_popular'.$uid.'" value="'.$show_most_popular .'" />';
		$cnt .= '<input type="hidden" name="ajax_show_new_items'.$uid.'" id="ajax_show_new_items'.$uid.'" value="'.$show_new_items .'" />';
		$cnt .= '<input type="hidden" name="ajax_show_featured'.$uid.'" id="ajax_show_featured'.$uid.'" value="'.$show_featured .'" />';
		$cnt .= '<input type="hidden" name="ajax_show_categories'.$uid.'" id="ajax_show_categories'.$uid.'" value="'.$show_categories .'" />';
		$cnt .= '<input type="hidden" name="ajax_current_post_id'.$uid.'" id="ajax_current_post_id'.$uid.'" value="'.$current_post_id .'" />';
		$cnt .= '<input type="hidden" name="ajax_show_only_categories'.$uid.'" id="ajax_show_only_categories'.$uid.'" value="'.$show_only_categories .'" />';
		
		
		$cnt .= '</div>';
		return $cnt;
	}
	function ajax_content_callback(){
	$style=  sanitize_text_field($_POST['style']);
		$atts= array(
			'page'					=> (int)$_POST['page'],
			'css_class' 			=> sanitize_text_field($_POST['css_class']),
			'exclude_products' 		=> sanitize_text_field($_POST['exclude_products']),
			'only_post' 			=> sanitize_text_field($_POST['only_post']),
			'title' 				=> sanitize_text_field($_POST['title']),
			'subtitle' 				=> sanitize_text_field($_POST['subtitle']),
			'current_post_id' 		=> sanitize_text_field($_POST['current_post_id']),
			'pagination_type'		=> array(
												'style'				=> sanitize_text_field($_POST['style']),
												$style	=> array('data' =>
																				array('type'=> sanitize_text_field($_POST['pagination_type']) ,
																					 "load_more"=> 
																						array('label_button'=>sanitize_text_field($_POST['label_button']) ),
																						)
																				
																			),
											
											),
			'per_page' 				=> (int)$_POST['per_page'],
			'columns' 				=> (int)$_POST['columns'],
			'orderby' 				=> sanitize_text_field($_POST['order_by']),
			'order' 				=> sanitize_text_field($_POST['order']),
			'categories'			=> array(
						'show_only_categories'=> sanitize_text_field($_POST['show_only_categories']),
						'enable'=> array('default_category'=>sanitize_text_field($_POST['default_category']) )
			),	
			'filters'				=> array(
						'show_filters'=> sanitize_text_field($_POST['show_filters']),
			
							'enable'=> array(
								'limit_category'=> sanitize_text_field($_POST['limit_category']),
								'show_on_sale'=> sanitize_text_field($_POST['show_on_sale']),
								'show_most_popular'=> sanitize_text_field($_POST['show_most_popular']),
								'show_new_items'=> sanitize_text_field($_POST['show_new_items']),
								'show_featured'	=> sanitize_text_field($_POST['show_featured']),
								'show_categories'=> sanitize_text_field($_POST['show_categories']),
							)
						
			),	
			'showAjaxButton'		=>  $_POST['showAjaxButton']=='true'?1:0,
			'uid'		=> sanitize_text_field($_POST['uid']),
		);		
				
		$uid  = 'unkown_id';

		if($this->getSType($atts)== 'load_more' ) {
			$atts['page'] = (int)$atts['page'] +1;
		} 
		if(isset($atts['exclude_products'])){
			
			$atts['exclude_products'] = explode(',',$atts['exclude_products']);
		}
		if(isset($atts['only_post'])){
			
			$atts['only_post'] = explode(',',$atts['only_post']);

		}		
		$category = $atts['default_category'];
		
		if(isset($_POST['category']) && trim($_POST['category']) != ''){
			$category  = $_POST['category'];
		}

		wp_die(
			json_encode( 
				array(	'html'			=>$this->getProductsByAtts($atts,$category,true),
						'post_count'	=> ceil($atts['count_items'] /$atts['per_page']),
						'first'			=> trim($this->first_item) 
						) 
					)
		);	
	}

	function getProductsByAtts($atts,$cat=false,$isAjax=false){
			
		if(!isset($atts['order']) || empty($atts['order']) ) $atts['order'] = 'DESC';
		if(!isset($atts['orderby']) || empty($atts['orderby']) ) $atts['orderby'] = 'date';
		if(!isset($atts['per_page']) || empty($atts['per_page']) ) $atts['per_page'] = -1;

		$args = array(
			'post_type'	=> 'product',
			'post_status' => 'publish',
			'ignore_sticky_posts'	=> 1,
			'posts_per_page' => (int) $atts['per_page'],
			'orderby' => $atts['orderby'],
			'order' => $atts['order'],
		);

		$not_in = array();
        if ( $atts['exclude_products'] != '' ) {
          $not_in = $atts['exclude_products'];
        }
		foreach($atts['only_post'] as $k=>$v){
			if(empty($v) || $v <=0) unset($atts['only_post'][$k]);
		}
        //exclude current post from query
		
        if ( empty($atts['only_post'] )  ) {
            global $post;
            array_push($not_in, (int)$atts['current_post_id']);
        } else if ( !empty($atts['only_post'] ) ) {
            $args['post__in'] = $atts['only_post'];
        }

        if ( $atts['only_post'] == '' || $atts['exclude_products'] != '' ) {
            $args['post__not_in'] = $not_in;
        }

		if($atts['page'] > -1){
			$args['paged'] = (int)$atts['page'];
		}

		if($cat){
			switch($cat){
				// cat id 
				default: 
					$cat = (int)$cat; // is integer so let's just be sure it is
					if($cat > 0 ){
						$args['tax_query'] = 	array('relation'=>'AND',
													array(			
																'taxonomy' => 'product_cat',
																'field'    => 'term_id',
																'terms'    => $cat
														)
												)		
							;  
					}
				break;
				case 'most_popular':
					$args['meta_key'] 	=	'craftit_product_count';
					$args['orderby'] 	=	'meta_value_num';
					$args['type']    	=  	'numeric';

				break;
				case 'new_items':
				
					$args['order'] 	=	'DESC';
					$args['orderby'] 	=	'date';
				break;
				case 'featured':
				
					$args['order'] 	=	'DESC';
					$args['orderby'] 	=	'date';
					$args['tax_query']= array(
	                	array(
	                    	'taxonomy' => 'product_visibility',
	                    	'field'    => 'name',
	                    	'terms'    => 'featured',
	                    	'operator' => 'IN'
	                    )
	                );
				break;
				case 'on_sale':
					$product_ids_on_sale    = wc_get_product_ids_on_sale();
					$product_ids_on_sale[]  = 0;
					$args['post__in'] = $product_ids_on_sale;
				break;				
			}
		}
		$cnt = '';

		$atts['count_items'] = 1;
/*
echo '<pre>';
print_r($args);
echo '</pre>';*/
		//$args['order'] = 'random';
		$products = new WP_Query( $args );
		
		$atts['count_items'] = $products->found_posts;
		$atts['page_count'] = ceil($atts['count_items']/ $atts['per_page']) ;
	
		switch($atts['pagination_type']['style']){
			// default is carousel
			default: 
			case 'carousel': 			
						$cnt .= $this->getCarouselLayout($products,$atts,$isAjax); 	
						break;
			case 'grid':
			case 'masonry_load_more': 		
			
					$cnt .= $this->getGridLayout($products, $atts,$isAjax);	
	
			break;
		}
		wp_reset_query();
		return $cnt;
		
	}
	function getGridLayout($products,$atts,$isAjax =false){

		$cnt = '';
		$page = (isset($atts['page']))?(int) $atts['page']: 0;
		$uid = $atts['uid'];
		$pagination_type = $this->getSType($atts);

		if ( $products->have_posts() ) {
		
			$masonry_layout = ($atts['pagination_type']['style']=='masonry_load_more')?'masonry':'fitRows';	
			$masonry_post = ' masonry_post';
	
			if(!$isAjax || $atts['showAjaxButton'] || $pagination_type == 'simple_pagination')	{
				$cnt .= '<div class="ajax_cnt">';
				$cnt .= '<div class="gg_posts_grid el-grid products-carousel products-carousel-grid'.$masonry_post.'" data-layout-mode="'.$masonry_layout.'" id="product-masonry-'.$uid.'">'; 
			}
				$cnt .= $this->getItemsFromTheLoop($products, $atts);
				if( !$isAjax || $atts['showAjaxButton'] || $pagination_type == 'simple_pagination') {
							$cnt .= '</div>'; //end ajax_cnt
				}	
			
				if( $atts['count_items'] > 0 && $atts['per_page'] > 0 ){	
					
					if($page ==0 ) $page = 1; 
					$prev_page = ($page - 1 >0)? $page - 1:-1;
					$next_page = ($page + 1 <= $atts['page_count'] )? $page + 1:-1;
					
					if($pagination_type == 'simple_pagination'){

						$cnt .=	'<div class="products-carousel-nav pcn-center product_grid">';
						if($prev_page  > -1) 		$cnt .=	'<a href="#" class="fa fa-long-arrow-left prev" data-page="'.esc_attr($prev_page).'" data-uid="'.esc_attr($uid).'" id="grid-prev-'.esc_attr($uid).'"></a>';
						else 						$cnt .=	'<a href="#" class="fa fa-long-arrow-left prev disabled" ></a>';
						if($next_page  > -1 ) 		$cnt .=	'<a href="#" id="grid-next-'.$uid.'" data-page="'.esc_attr($next_page).'" data-uid="'.esc_attr($uid).'" class="fa fa-long-arrow-right next"></a>';
						else 						$cnt .=	'<a href="#" class="fa fa-long-arrow-right next disabled"></a>';
						$cnt .='</div>';
					}
						 
				}//end pagination

				if( !$isAjax || $atts['showAjaxButton']) {
					$cnt .= '</div>'; //end ajax_cnt
				}	
				$hiddenByDefault = '';
				if ( $pagination_type == 'load_more' && !$isAjax &&  $pagination_type != 'none') {
						if($atts['count_items']/$atts['per_page'] < 1 ||  $atts['per_page'] < 0 ){
							$hiddenByDefault = " hidden";
						}
						$buttonLabel = $this->getLabel($atts);
						$ajax_load_more = (empty($buttonLabel))?esc_html__('Load More','craftit_shortcode'):$buttonLabel;
						$cnt  .= '<div class="col-sm-12 ajaxLoadMoreProducts center-text'.$hiddenByDefault.'"><a class="btn outline ajaxLoadMore" data-page="'.esc_attr($page).'" data-uid="'.esc_attr($atts['uid']).'">'.$ajax_load_more.'<span></span></a></div>';
				}
			  
			}
		return $cnt;
			
	}
	
	public function getItemsFromTheLoop($products,$atts){
		$cnt = '';
		
		if ( $products->have_posts() ) {	
			$i =0;	
			while ( $products->have_posts() ) { 
				
				$products->the_post();

				global $product; 
				$isotope_grid = '';
					
				if($atts['pagination_type']['style'] != 'carousel_pagination' ){
					$isotope_grid = 'masonry_post_item isotop-grid-item ';
				}
				if($i++==0) $this->first_item = " post2-item-".esc_html($atts['page']);
				$cnt .= '<div class="'.$isotope_grid.getTwitterBootstrapColumn($atts['columns']).' one-product'.$this->first_item.'">';

				ob_start(); 
	            wc_get_template_part( 'content', 'product-unyson' );
	            $cnt .= "\n\t".ob_get_contents();
	            ob_end_clean();

				$cnt .= '</div>';
				
			}
			
		}

		return $cnt; 		
	}

	/*get carousel layout
	 * Get html based on a custom wp_query $products
	 * @param mixed $products
	 * @return string
	 */
	protected function getCarouselLayout($products,$atts,$isAjax){
		$cnt = '';
		$uid = $atts['uid'];
		$dotsPagination = $this->getCarouselDotsPagination($atts);
		$arrowPagination  = $this->getCarouselArrowPagination($atts);

		if ( $products->have_posts() ) {			

			$cnt .= '<div class="products-carousel carousel-slick" data-dots="'.$dotsPagination.'" id="carusel-'.$uid.'" data-uid="'.esc_js($atts['uid']).'" data-columns="'.esc_js($atts['columns']).'" >';
			
			while ( $products->have_posts() ) { $products->the_post();
			
				global $product; 
				
				$cnt .= '<div class="one-product">';
					ob_start(); 
		            wc_get_template_part( 'content', 'product-unyson' );
		            $cnt .= "\n\t".ob_get_contents();
		            ob_end_clean();
				$cnt .= '</div>';
	
			}
			$cnt .= '</div>';

			if($arrowPagination  ) {
				$cnt .='<div class="products-carousel-nav pcn-center"><a href="#" class="fa fa-long-arrow-left prev" id="carusel-prev-'.esc_attr($uid).'"></a><a href="#" id="carusel-next-'.esc_attr($uid).'" class="fa fa-long-arrow-right next"></a></div>';
			}

		return $cnt; 
	}  
	
	}//end getCarouselLayout
}
