<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

/**
 * @var array $atts
 */

if ( empty( $atts['image'] ) ) {
	return;
}

$width  = ( is_numeric( $atts['width'] ) && ( $atts['width'] > 0 ) ) ? $atts['width'] : '';
$height = ( is_numeric( $atts['height'] ) && ( $atts['height'] > 0 ) ) ? $atts['height'] : '';

if ( ! empty( $width ) && ! empty( $height ) ) {
	$image = fw_resize( $atts['image']['attachment_id'], $width, $height, true );
} else {
	$image = $atts['image']['url'];
}
$alt = get_post_meta($atts['image']['attachment_id'], '_wp_attachment_image_alt', true);

$img_attributes = array(
	'src' => $image,
	'alt' => $alt ? $alt : $image
);

if(!empty($width)){
	$img_attributes['width'] = $width;
}

if(!empty($height)){
	$img_attributes['height'] = $height;
}

if ( empty( $atts['link'] ) ) {
	if($atts['open_lightbox']) {

		$fullWidth = wp_get_attachment_image_src($atts['image']['attachment_id'], 'large');

		if(!empty($fullWidth) && isset($fullWidth[0]) ){
			
			$args =  array(
				'href' => $fullWidth[0]
			);
			if($atts['open_lightbox']) {
				
				$args ['class'] = 'maginific-simple'; 
				
			}
			echo '<div id="uid_' . esc_attr($atts['uid']) . '" class="fw-single-img-wrapper">' . fw_html_tag('a',$args, fw_html_tag('img',$img_attributes)) . '</div>';
		}else{
			echo '<div id="uid_' . esc_attr($atts['uid']) . '" class="fw-single-img-wrapper">' . fw_html_tag('img', $img_attributes) . '</div>';
		}
	}else{
			
		echo '<div id="uid_' . esc_attr($atts['uid']) . '" class="fw-single-img-wrapper">' . fw_html_tag('img', $img_attributes) . '</div>';
	}
} else {

	$args =  array(
			'href' => $atts['link'],
		
		);
	if(!$atts['open_lightbox']) {
		$args['target'] = $atts['target'];
	}		
	if($atts['open_lightbox']) {
		
		$args ['class'] = 'maginific-simple'; 
		
	}
		echo '<div id="uid_' . esc_attr($atts['uid']) . '" class="fw-single-img-wrapper">' . fw_html_tag('a',$args, fw_html_tag('img',$img_attributes)) . '</div>';
	
}
