<?php
/*
Plugin Name: OKThemes CraftIt Shortcodes
Plugin URI: http://www.okthemes.com
Description: Custom shortcodes for CraftIt theme
Version: 2.1
Author: Gogoneata Cristian
Author URI: http://okthemes.com/
License: GPLv2
*/

// Do not load this file directly!
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

if(!defined('CRAFTIT_SHORTCODES_VERSION')) 
	define( 'CRAFTIT_SHORTCODES_VERSION', '1.9' );
if(!defined('CRAFTIT_SHORTCODES_PATH')) 
	define( 'CRAFTIT_SHORTCODES_PATH', plugin_dir_path(__FILE__) );
if(!defined('CRAFTIT_SHORTCODES_DIR')) 
	define( 'CRAFTIT_SHORTCODES_DIR', plugin_dir_url(__FILE__) );

include(CRAFTIT_SHORTCODES_PATH.'cpts/init.php');
load_plugin_textdomain( 'craftit-shortcodes', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

/*css manager  database */
global $craftit_db_version;
$craftit_db_version = '1.0';

function craftit_managercss_install() {
	global $wpdb;
	global $craftit_db_version;

	$table_name = $wpdb->prefix . 'craftit_css_manager';
	
	$charset_collate = $wpdb->get_charset_collate();

	$sql = "CREATE TABLE $table_name (
			id bigint(20) NOT NULL auto_increment ,
			post_id bigint(20) NOT NULL,
			name VARCHAR(60) NOT NULL,
			property VARCHAR(30) NOT NULL,
			val VARCHAR(255) NOT NULL,
			flag SMALLINT(6) NOT NULL,
			PRIMARY KEY  (id)
			) 
			$charset_collate";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'craftit_db_version', $craftit_db_version );
}

 register_activation_hook(__FILE__, 'craftit_managercss_install');
 /** end css manager db */
 
/*Iulian modifications - to be deleted [this row] */
include('CssManager.php');

/**Init Unison framework */

function _filter_plugin_awesome_extensions($locations) {
	
$locations[CRAFTIT_SHORTCODES_PATH . 'framework-customizations/extensions'] = CRAFTIT_SHORTCODES_DIR . 'framework-customizations/extensions';
    return $locations;
}
add_filter('fw_extensions_locations', '_filter_plugin_awesome_extensions');

if (defined('FW')):
    // the framework was already included in another place, so this version will be inactive/ignored
else:
    /** @internal */
    function _filter_fw_framework_plugin_directory_uri() {

        return CRAFTIT_SHORTCODES_DIR. '/framework';
    }
    add_filter('fw_framework_directory_uri', '_filter_fw_framework_plugin_directory_uri');

    require CRAFTIT_SHORTCODES_PATH.'framework/bootstrap.php';
endif;

// on unison init 
add_action('fw_init', '_action_theme_fw_init');
function _action_theme_fw_init() {
	// get unison option 
	//$value = fw_get_db_customizer_option('hello');
	// enable page-builder by default
	
	fw()->extensions->manager->activate_extensions(array('page-builder' => array()));
	fw()->extensions->manager->activate_extensions(array('page-builder' => array()));
	fw()->extensions->manager->activate_extensions(array('backups' => array()));

}
/*
* Automatically set all the posts (page, post, custom-posts) to have unison enabled
* this function should be called after you add all the custom_posts  else you will have
* to go to the extension panel and manually enable the extension
* @param array $posts
* @return array
*/
function _thz_filter_auto_activate_builder($posts) {
	// get all the posts from wordpress 
	$post_types = get_post_types();
	
	foreach($post_types as $id=>$post_type){
		// don't enable unison for attachment, revision and nav_menu_item 
		if($post_type != 'attachment' && $post_type != 'revision' && $post_type != 'nav_menu_item'){
			$posts[$post_type] = true;
		}
	}
    return  $posts;
}
add_filter( 'fw_ext_page_builder_settings_options_post_types_default_value', '_thz_filter_auto_activate_builder' );


function craftit_filter_theme_fw_ext_backups_demo_dirs2($dirs) {

    $dirs[CRAFTIT_SHORTCODES_PATH.'framework-customizations/demo-content']    = CRAFTIT_SHORTCODES_DIR.'framework-customizations/demo-content';

    return $dirs;
}
add_filter('fw_ext_backups_demo_dirs', 'craftit_filter_theme_fw_ext_backups_demo_dirs2');

/**
 * SVG support
 */
function craftit_mime_types($mimes) {
    $mimes['svg'] = 'image/svg+xml';
    return $mimes;
}
add_filter('upload_mimes', 'craftit_mime_types');